#include "def.h"

static const char rcsid[] =
	"$Id: gendefs.c,v 1.5 2001/09/28 07:27:13 taniwha Exp $";
def_t qw_global_defs[] = {
	{ev_entity | DEF_SAVEGLOBAL,	28,	"self"},
	{ev_entity | DEF_SAVEGLOBAL,	29,	"other"},
	{ev_entity | DEF_SAVEGLOBAL,	30,	"world"},
	{ev_float | DEF_SAVEGLOBAL,	31,	"time"},
	{ev_float | DEF_SAVEGLOBAL,	32,	"frametime"},
	{ev_entity | DEF_SAVEGLOBAL,	33,	"newmis"},
	{ev_float | DEF_SAVEGLOBAL,	34,	"force_retouch"},
	{ev_string | DEF_SAVEGLOBAL,	35,	"mapname"},
	{ev_float | DEF_SAVEGLOBAL,	36,	"serverflags"},
	{ev_float | DEF_SAVEGLOBAL,	37,	"total_secrets"},
	{ev_float | DEF_SAVEGLOBAL,	38,	"total_monsters"},
	{ev_float | DEF_SAVEGLOBAL,	39,	"found_secrets"},
	{ev_float | DEF_SAVEGLOBAL,	40,	"killed_monsters"},
	{ev_float | DEF_SAVEGLOBAL,	41,	"parm1"},
	{ev_float | DEF_SAVEGLOBAL,	42,	"parm2"},
	{ev_float | DEF_SAVEGLOBAL,	43,	"parm3"},
	{ev_float | DEF_SAVEGLOBAL,	44,	"parm4"},
	{ev_float | DEF_SAVEGLOBAL,	45,	"parm5"},
	{ev_float | DEF_SAVEGLOBAL,	46,	"parm6"},
	{ev_float | DEF_SAVEGLOBAL,	47,	"parm7"},
	{ev_float | DEF_SAVEGLOBAL,	48,	"parm8"},
	{ev_float | DEF_SAVEGLOBAL,	49,	"parm9"},
	{ev_float | DEF_SAVEGLOBAL,	50,	"parm10"},
	{ev_float | DEF_SAVEGLOBAL,	51,	"parm11"},
	{ev_float | DEF_SAVEGLOBAL,	52,	"parm12"},
	{ev_float | DEF_SAVEGLOBAL,	53,	"parm13"},
	{ev_float | DEF_SAVEGLOBAL,	54,	"parm14"},
	{ev_float | DEF_SAVEGLOBAL,	55,	"parm15"},
	{ev_float | DEF_SAVEGLOBAL,	56,	"parm16"},
	{ev_vector | DEF_SAVEGLOBAL,	57,	"v_forward"},
	{ev_vector | DEF_SAVEGLOBAL,	60,	"v_up"},
	{ev_vector | DEF_SAVEGLOBAL,	63,	"v_right"},
	{ev_float | DEF_SAVEGLOBAL,	66,	"trace_allsolid"},
	{ev_float | DEF_SAVEGLOBAL,	67,	"trace_startsolid"},
	{ev_float | DEF_SAVEGLOBAL,	68,	"trace_fraction"},
	{ev_vector | DEF_SAVEGLOBAL,	69,	"trace_endpos"},
	{ev_vector | DEF_SAVEGLOBAL,	72,	"trace_plane_normal"},
	{ev_float | DEF_SAVEGLOBAL,	75,	"trace_plane_dist"},
	{ev_entity | DEF_SAVEGLOBAL,	76,	"trace_ent"},
	{ev_float | DEF_SAVEGLOBAL,	77,	"trace_inopen"},
	{ev_float | DEF_SAVEGLOBAL,	78,	"trace_inwater"},
	{ev_entity | DEF_SAVEGLOBAL,	79,	"msg_entity"},
	{ev_func,	80,	"main"},
	{ev_func,	81,	"StartFrame"},
	{ev_func,	82,	"PlayerPreThink"},
	{ev_func,	83,	"PlayerPostThink"},
	{ev_func,	84,	"ClientKill"},
	{ev_func,	85,	"ClientConnect"},
	{ev_func,	86,	"PutClientInServer"},
	{ev_func,	87,	"ClientDisconnect"},
	{ev_func,	88,	"SetNewParms"},
	{ev_func,	89,	"SetChangeParms"},
	{ev_void,	0,	0},
};

def_t qw_field_defs[] = {
	{ev_float | DEF_SAVEGLOBAL,	0,	"modelindex"},
	{ev_vector | DEF_SAVEGLOBAL,	1,	"absmin"},
	{ev_vector | DEF_SAVEGLOBAL,	4,	"absmax"},
	{ev_float | DEF_SAVEGLOBAL,	7,	"ltime"},
	{ev_float | DEF_SAVEGLOBAL,	8,	"lastruntime"},
	{ev_float | DEF_SAVEGLOBAL,	9,	"movetype"},
	{ev_float | DEF_SAVEGLOBAL,	10,	"solid"},
	{ev_vector | DEF_SAVEGLOBAL,	11,	"origin"},
	{ev_vector | DEF_SAVEGLOBAL,	14,	"oldorigin"},
	{ev_vector | DEF_SAVEGLOBAL,	17,	"velocity"},
	{ev_vector | DEF_SAVEGLOBAL,	20,	"angles"},
	{ev_vector | DEF_SAVEGLOBAL,	23,	"avelocity"},
	{ev_string | DEF_SAVEGLOBAL,	26,	"classname"},
	{ev_string | DEF_SAVEGLOBAL,	27,	"model"},
	{ev_float | DEF_SAVEGLOBAL,	28,	"frame"},
	{ev_float | DEF_SAVEGLOBAL,	29,	"skin"},
	{ev_float | DEF_SAVEGLOBAL,	30,	"effects"},
	{ev_vector | DEF_SAVEGLOBAL,	31,	"mins"},
	{ev_vector | DEF_SAVEGLOBAL,	34,	"maxs"},
	{ev_vector | DEF_SAVEGLOBAL,	37,	"size"},
	{ev_func,	40,	"touch"},
	{ev_func,	41,	"use"},
	{ev_func,	42,	"think"},
	{ev_func,	43,	"blocked"},
	{ev_float | DEF_SAVEGLOBAL,	44,	"nextthink"},
	{ev_entity | DEF_SAVEGLOBAL,	45,	"groundentity"},
	{ev_float | DEF_SAVEGLOBAL,	46,	"health"},
	{ev_float | DEF_SAVEGLOBAL,	47,	"frags"},
	{ev_float | DEF_SAVEGLOBAL,	48,	"weapon"},
	{ev_string | DEF_SAVEGLOBAL,	49,	"weaponmodel"},
	{ev_float | DEF_SAVEGLOBAL,	50,	"weaponframe"},
	{ev_float | DEF_SAVEGLOBAL,	51,	"currentammo"},
	{ev_float | DEF_SAVEGLOBAL,	52,	"ammo_shells"},
	{ev_float | DEF_SAVEGLOBAL,	53,	"ammo_nails"},
	{ev_float | DEF_SAVEGLOBAL,	54,	"ammo_rockets"},
	{ev_float | DEF_SAVEGLOBAL,	55,	"ammo_cells"},
	{ev_float | DEF_SAVEGLOBAL,	56,	"items"},
	{ev_float | DEF_SAVEGLOBAL,	57,	"takedamage"},
	{ev_entity | DEF_SAVEGLOBAL,	58,	"chain"},
	{ev_float | DEF_SAVEGLOBAL,	59,	"deadflag"},
	{ev_vector | DEF_SAVEGLOBAL,	60,	"view_ofs"},
	{ev_float | DEF_SAVEGLOBAL,	63,	"button0"},
	{ev_float | DEF_SAVEGLOBAL,	64,	"button1"},
	{ev_float | DEF_SAVEGLOBAL,	65,	"button2"},
	{ev_float | DEF_SAVEGLOBAL,	66,	"impulse"},
	{ev_float | DEF_SAVEGLOBAL,	67,	"fixangle"},
	{ev_vector | DEF_SAVEGLOBAL,	68,	"v_angle"},
	{ev_string | DEF_SAVEGLOBAL,	71,	"netname"},
	{ev_entity | DEF_SAVEGLOBAL,	72,	"enemy"},
	{ev_float | DEF_SAVEGLOBAL,	73,	"flags"},
	{ev_float | DEF_SAVEGLOBAL,	74,	"colormap"},
	{ev_float | DEF_SAVEGLOBAL,	75,	"team"},
	{ev_float | DEF_SAVEGLOBAL,	76,	"max_health"},
	{ev_float | DEF_SAVEGLOBAL,	77,	"teleport_time"},
	{ev_float | DEF_SAVEGLOBAL,	78,	"armortype"},
	{ev_float | DEF_SAVEGLOBAL,	79,	"armorvalue"},
	{ev_float | DEF_SAVEGLOBAL,	80,	"waterlevel"},
	{ev_float | DEF_SAVEGLOBAL,	81,	"watertype"},
	{ev_float | DEF_SAVEGLOBAL,	82,	"ideal_yaw"},
	{ev_float | DEF_SAVEGLOBAL,	83,	"yaw_speed"},
	{ev_entity | DEF_SAVEGLOBAL,	84,	"aiment"},
	{ev_entity | DEF_SAVEGLOBAL,	85,	"goalentity"},
	{ev_float | DEF_SAVEGLOBAL,	86,	"spawnflags"},
	{ev_string | DEF_SAVEGLOBAL,	87,	"target"},
	{ev_string | DEF_SAVEGLOBAL,	88,	"targetname"},
	{ev_float | DEF_SAVEGLOBAL,	89,	"dmg_take"},
	{ev_float | DEF_SAVEGLOBAL,	90,	"dmg_save"},
	{ev_entity | DEF_SAVEGLOBAL,	91,	"dmg_inflictor"},
	{ev_entity | DEF_SAVEGLOBAL,	92,	"owner"},
	{ev_vector | DEF_SAVEGLOBAL,	93,	"movedir"},
	{ev_string | DEF_SAVEGLOBAL,	96,	"message"},
	{ev_float | DEF_SAVEGLOBAL,	97,	"sounds"},
	{ev_string | DEF_SAVEGLOBAL,	98,	"noise"},
	{ev_string | DEF_SAVEGLOBAL,	99,	"noise1"},
	{ev_string | DEF_SAVEGLOBAL,	100,	"noise2"},
	{ev_string | DEF_SAVEGLOBAL,	101,	"noise3"},
	{ev_void,	0,	0},
};

int qw_crc = 54730;
