/* A Bison parser, made from ../../../../tools/qfcc/source/qc-parse.y
   by GNU bison 1.35.  */

#define YYBISON 1  /* Identify Bison output.  */

# define	ASX	257
# define	PAS	258
# define	OR	259
# define	AND	260
# define	EQ	261
# define	NE	262
# define	LE	263
# define	GE	264
# define	LT	265
# define	GT	266
# define	SHL	267
# define	SHR	268
# define	UNARY	269
# define	INCOP	270
# define	CLASS_NAME	271
# define	NAME	272
# define	STRING_VAL	273
# define	INT_VAL	274
# define	FLOAT_VAL	275
# define	VECTOR_VAL	276
# define	QUATERNION_VAL	277
# define	LOCAL	278
# define	RETURN	279
# define	WHILE	280
# define	DO	281
# define	IF	282
# define	ELSE	283
# define	FOR	284
# define	BREAK	285
# define	CONTINUE	286
# define	ELLIPSIS	287
# define	NIL	288
# define	IFBE	289
# define	IFB	290
# define	IFAE	291
# define	IFA	292
# define	SWITCH	293
# define	CASE	294
# define	DEFAULT	295
# define	STRUCT	296
# define	UNION	297
# define	ENUM	298
# define	TYPEDEF	299
# define	SUPER	300
# define	SELF	301
# define	THIS	302
# define	ARGC	303
# define	ARGV	304
# define	EXTERN	305
# define	STATIC	306
# define	SYSTEM	307
# define	SIZEOF	308
# define	ELE_START	309
# define	TYPE	310
# define	CLASS	311
# define	DEFS	312
# define	ENCODE	313
# define	END	314
# define	IMPLEMENTATION	315
# define	INTERFACE	316
# define	PRIVATE	317
# define	PROTECTED	318
# define	PROTOCOL	319
# define	PUBLIC	320
# define	SELECTOR	321

#line 1 "../../../../tools/qfcc/source/qc-parse.y"

/*
	#FILENAME#

	#DESCRIPTION#

	Copyright (C) 2001 #AUTHOR#

	Author: #AUTHOR#
	Date: #DATE#

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

	See the GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to:

		Free Software Foundation, Inc.
		59 Temple Place - Suite 330
		Boston, MA  02111-1307, USA

*/
static const char rcsid[] = 
	"$Id: qc-parse.y,v 1.159 2002/09/16 15:42:11 taniwha Exp $";

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif
#ifdef HAVE_STRING_H
# include <string.h>
#endif
#ifdef HAVE_STRINGS_H
# include <strings.h>
#endif
#include <stdlib.h>

#include <QF/hash.h>
#include <QF/sys.h>

#include "class.h"
#include "debug.h"
#include "def.h"
#include "emit.h"
#include "expr.h"
#include "function.h"
#include "immediate.h"
#include "method.h"
#include "options.h"
#include "qfcc.h"
#include "reloc.h"
#include "struct.h"
#include "switch.h"
#include "type.h"

#define YYDEBUG 1
#define YYERROR_VERBOSE 1

extern char *yytext;

void
yyerror (const char *s)
{
	error (0, "%s %s\n", yytext, s);
}

void
parse_error (void)
{
	error (0, "parse error before %s", yytext);
}

#define PARSE_ERROR do { parse_error (); YYERROR; } while (0)

int yylex (void);

hashtab_t *save_local_inits (scope_t *scope);
hashtab_t *merge_local_inits (hashtab_t *dl_1, hashtab_t *dl_2);
void restore_local_inits (hashtab_t *def_list);
void free_local_inits (hashtab_t *def_list);


#line 91 "../../../../tools/qfcc/source/qc-parse.y"
#ifndef YYSTYPE
typedef union {
	int			op;
	struct def_s *def;
	struct hashtab_s	*def_list;
	type_t		*type;
	expr_t		*expr;
	int			integer_val;
	float		float_val;
	const char *string_val;
	float		vector_val[3];
	float		quaternion_val[4];
	struct function_s *function;
	struct switch_block_s	*switch_block;
	struct param_s	*param;
	struct method_s	*method;
	struct class_s	*class;
	struct protocol_s *protocol;
	struct keywordarg_s *keywordarg;
	struct methodlist_s *methodlist;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
#line 165 "../../../../tools/qfcc/source/qc-parse.y"


type_t	*current_type;
def_t	*current_def;
function_t *current_func;
param_t *current_params;
expr_t	*current_init;
class_t	*current_class;
expr_t	*local_expr;
expr_t	*break_label;
expr_t	*continue_label;
switch_block_t *switch_block;
type_t	*struct_type;
visibility_t current_visibility;
type_t	*current_ivars;
scope_t *current_scope;
storage_class_t current_storage;

int      element_flag;

#ifndef YYDEBUG
# define YYDEBUG 0
#endif



#define	YYFINAL		541
#define	YYFLAG		-32768
#define	YYNTBASE	92

/* YYTRANSLATE(YYLEX) -- Bison token number corresponding to YYLEX. */
#define YYTRANSLATE(x) ((unsigned)(x) <= 321 ? yytranslate[x] : 216)

/* YYTRANSLATE[YYLEX] -- Bison token number corresponding to YYLEX. */
static const char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    89,     2,    88,     2,    25,    22,     2,
      28,    85,    20,    18,    86,    19,    30,    21,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     7,    82,
       2,     3,     2,     6,    91,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    29,     2,    87,    24,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    83,    23,    84,    90,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     4,     5,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    17,    26,
      27,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81
};

#if YYDEBUG
static const short yyprhs[] =
{
       0,     0,     1,     2,     7,    10,    11,    15,    16,    21,
      26,    27,    35,    36,    44,    50,    54,    62,    63,    67,
      68,    72,    74,    76,    78,    79,    83,    88,    89,    93,
      95,    99,   101,   105,   108,   110,   113,   116,   120,   122,
     124,   126,   130,   136,   140,   143,   145,   149,   152,   156,
     159,   163,   165,   167,   171,   173,   176,   178,   179,   180,
     183,   186,   187,   193,   197,   203,   204,   205,   206,   214,
     215,   218,   220,   224,   225,   226,   232,   234,   235,   237,
     238,   239,   240,   245,   246,   249,   251,   253,   257,   260,
     263,   266,   270,   273,   274,   284,   293,   303,   304,   310,
     317,   318,   328,   341,   344,   345,   346,   347,   348,   350,
     351,   355,   359,   365,   369,   373,   377,   381,   385,   389,
     393,   397,   401,   405,   409,   413,   417,   421,   425,   429,
     433,   437,   442,   446,   451,   456,   460,   463,   466,   469,
     472,   475,   478,   481,   483,   485,   487,   489,   491,   493,
     498,   503,   505,   509,   511,   515,   517,   519,   521,   523,
     525,   527,   529,   532,   534,   536,   538,   539,   542,   544,
     546,   550,   554,   556,   558,   560,   562,   566,   570,   575,
     580,   582,   583,   584,   585,   597,   598,   599,   607,   608,
     609,   610,   622,   623,   624,   632,   633,   634,   642,   643,
     650,   653,   654,   661,   664,   667,   668,   669,   677,   678,
     682,   683,   686,   690,   692,   694,   696,   698,   699,   703,
     704,   708,   710,   714,   716,   717,   718,   727,   734,   735,
     736,   745,   752,   753,   755,   757,   760,   764,   768,   773,
     775,   781,   784,   785,   788,   791,   796,   798,   800,   803,
     805,   807,   809,   811,   813,   815,   817,   819,   821,   823,
     825,   827,   829,   831,   833,   835,   837,   839,   841,   843,
     845,   852,   856,   862,   865,   867,   872,   877,   882,   884,
     889,   891,   893,   895,   897,   899,   901,   904,   908,   911,
     913,   915,   917,   920,   923,   925,   928
};
static const short yyrhs[] =
{
      -1,     0,    92,    93,    94,    82,     0,    92,   151,     0,
       0,   108,    95,   117,     0,     0,   102,   108,    96,   117,
       0,   102,    83,    99,    84,     0,     0,    56,    32,    97,
       3,    83,   103,    84,     0,     0,    57,    32,    98,     3,
      83,   103,    84,     0,    58,    83,   106,   132,    84,     0,
      59,   108,    32,     0,    59,    58,    83,   106,   132,    84,
      32,     0,     0,    99,   100,    82,     0,     0,   108,   101,
     117,     0,    65,     0,    66,     0,    67,     0,     0,   103,
     104,    82,     0,    72,    28,    32,    85,     0,     0,   108,
     105,   115,     0,   107,     0,   106,    86,   107,     0,    32,
       0,    32,     3,   147,     0,    30,   108,     0,   109,     0,
     109,   111,     0,   109,   114,     0,    28,   108,    85,     0,
     110,     0,    70,     0,    31,     0,    28,   112,    85,     0,
      28,   112,    86,    47,    85,     0,    28,    47,    85,     0,
      28,    85,     0,   113,     0,   112,    86,   113,     0,   108,
      32,     0,    29,   149,    87,     0,    29,    87,     0,   115,
      86,   116,     0,   116,     0,    32,     0,   117,    86,   118,
       0,   118,     0,   119,   120,     0,    32,     0,     0,     0,
     121,   122,     0,     3,   147,     0,     0,     3,    69,   123,
     127,    84,     0,     3,    88,   149,     0,     3,   124,   133,
     135,   134,     0,     0,     0,     0,    29,   149,    86,   125,
     119,   126,    87,     0,     0,   128,   132,     0,   129,     0,
     128,    86,   129,     0,     0,     0,    83,   130,   127,   131,
      84,     0,   147,     0,     0,    86,     0,     0,     0,     0,
      83,   136,   137,    84,     0,     0,   137,   138,     0,    82,
       0,   135,     0,    39,   147,    82,     0,    39,    82,     0,
      45,    82,     0,    46,    82,     0,    54,   147,     7,     0,
      55,     7,     0,     0,    53,   142,   144,    28,   147,    85,
     139,   145,   135,     0,    40,   142,   143,    28,   147,    85,
     145,   138,     0,    41,   142,   143,   138,    40,    28,   147,
      85,    82,     0,     0,    38,   108,   140,   117,    82,     0,
      42,    28,   147,    85,   145,   138,     0,     0,    42,    28,
     147,    85,   145,   138,    43,   141,   138,     0,    44,   142,
     143,    28,   146,    82,   146,    82,   146,    85,   145,   138,
       0,   147,    82,     0,     0,     0,     0,     0,   147,     0,
       0,   147,     3,   147,     0,   147,     4,   147,     0,   147,
       6,   147,     7,   147,     0,   147,     9,   147,     0,   147,
       8,   147,     0,   147,    10,   147,     0,   147,    11,   147,
       0,   147,    12,   147,     0,   147,    13,   147,     0,   147,
      14,   147,     0,   147,    15,   147,     0,   147,    16,   147,
       0,   147,    17,   147,     0,   147,    18,   147,     0,   147,
      19,   147,     0,   147,    20,   147,     0,   147,    21,   147,
       0,   147,    22,   147,     0,   147,    23,   147,     0,   147,
      24,   147,     0,   147,    25,   147,     0,   147,    28,   148,
      85,     0,   147,    28,    85,     0,    70,    28,   147,    85,
       0,   147,    29,   147,    87,     0,   147,    30,   147,     0,
      18,   147,     0,    19,   147,     0,    89,   147,     0,    90,
     147,     0,    22,   147,     0,    27,   147,     0,   147,    27,
       0,   206,     0,    32,     0,    63,     0,    64,     0,    61,
       0,    62,     0,    68,    28,   147,    85,     0,    68,    28,
     108,    85,     0,   149,     0,    28,   147,    85,     0,   147,
       0,   148,    86,   147,     0,    35,     0,   150,     0,    36,
       0,    37,     0,    34,     0,    48,     0,    33,     0,   150,
      33,     0,   163,     0,   154,     0,   178,     0,     0,   152,
     191,     0,    74,     0,    32,     0,   153,    86,    32,     0,
      71,   153,    82,     0,    32,     0,    31,     0,   155,     0,
     155,     0,   156,     7,   156,     0,   157,     7,   156,     0,
     155,    28,   155,    85,     0,   155,    28,   155,    85,     0,
     155,     0,     0,     0,     0,    76,   157,   181,   164,    83,
     182,    84,   165,   196,   166,    74,     0,     0,     0,    76,
     157,   181,   167,   196,   168,    74,     0,     0,     0,     0,
      76,   159,   181,   169,    83,   182,    84,   170,   196,   171,
      74,     0,     0,     0,    76,   159,   181,   172,   196,   173,
      74,     0,     0,     0,    76,   161,   181,   174,   196,   175,
      74,     0,     0,    75,   156,   176,    83,   182,    84,     0,
      75,   156,     0,     0,    75,   158,   177,    83,   182,    84,
       0,    75,   158,     0,    75,   160,     0,     0,     0,    79,
     162,   181,   179,   196,   180,    74,     0,     0,    14,   153,
      15,     0,     0,   183,   184,     0,   184,   185,   186,     0,
     186,     0,    77,     0,    78,     0,    80,     0,     0,   186,
     187,    82,     0,     0,   108,   188,   189,     0,   190,     0,
     189,    86,   190,     0,    32,     0,     0,     0,    18,   199,
     192,   124,   193,   133,   135,   134,     0,    18,   199,     3,
      88,   149,    82,     0,     0,     0,    19,   199,   194,   124,
     195,   133,   135,   134,     0,    19,   199,     3,    88,   149,
      82,     0,     0,   197,     0,   198,     0,   197,   198,     0,
      18,   199,    82,     0,    19,   199,    82,     0,    28,   108,
      85,   201,     0,   201,     0,    28,   108,    85,   202,   200,
       0,   202,   200,     0,     0,    86,    47,     0,    86,   112,
       0,    86,   112,    86,    47,     0,   203,     0,   205,     0,
     202,   205,     0,   155,     0,    70,     0,   204,     0,    38,
       0,    39,     0,    40,     0,    41,     0,    42,     0,    43,
       0,    44,     0,    45,     0,    46,     0,    53,     0,    54,
       0,    55,     0,    48,     0,    56,     0,    57,     0,    58,
       0,    59,     0,    60,     0,   203,     7,    28,   108,    85,
      32,     0,   203,     7,    32,     0,     7,    28,   108,    85,
      32,     0,     7,    32,     0,   207,     0,    81,    28,   212,
      85,     0,    79,    28,   155,    85,     0,    73,    28,   108,
      85,     0,   215,     0,    29,   208,   209,    87,     0,   147,
       0,    31,     0,    60,     0,   203,     0,   210,     0,   211,
       0,   210,   211,     0,   203,     7,   148,     0,     7,   148,
       0,   203,     0,   213,     0,   214,     0,   213,   214,     0,
     203,     7,     0,     7,     0,    91,    33,     0,   215,    91,
      33,     0
};

#endif

#if YYDEBUG
/* YYRLINE[YYN] -- source line where rule number YYN was defined. */
static const short yyrline[] =
{
       0,   190,   191,   191,   192,   196,   196,   197,   197,   198,
     199,   199,   201,   201,   203,   205,   207,   215,   216,   220,
     220,   224,   225,   226,   230,   231,   232,   245,   245,   249,
     250,   262,   263,   277,   278,   279,   284,   294,   295,   299,
     300,   312,   313,   319,   320,   327,   328,   336,   340,   349,
     353,   354,   358,   362,   363,   367,   377,   393,   394,   394,
     399,   417,   417,   422,   426,   440,   444,   444,   444,   459,
     463,   470,   474,   481,   481,   481,   494,   501,   502,   506,
     526,   533,   533,   557,   561,   568,   569,   570,   574,   578,
     586,   594,   598,   602,   602,   614,   640,   654,   654,   665,
     682,   682,   721,   745,   752,   760,   768,   776,   783,   784,
     791,   792,   793,   794,   795,   796,   797,   798,   799,   800,
     801,   802,   803,   804,   805,   806,   807,   808,   809,   810,
     811,   812,   813,   814,   815,   816,   817,   818,   819,   820,
     821,   822,   823,   824,   825,   826,   827,   828,   829,   830,
     831,   832,   833,   837,   838,   846,   847,   848,   849,   850,
     851,   855,   856,   863,   864,   865,   866,   866,   867,   878,
     883,   891,   900,   901,   905,   916,   928,   938,   947,   958,
     970,   983,   983,   983,   983,   988,   988,   988,   992,   992,
     992,   992,   997,   997,   997,  1001,  1001,  1001,  1005,  1005,
    1007,  1008,  1008,  1010,  1011,  1015,  1015,  1015,  1022,  1023,
    1027,  1027,  1044,  1045,  1049,  1050,  1051,  1055,  1056,  1060,
    1060,  1064,  1065,  1069,  1077,  1077,  1077,  1099,  1107,  1107,
    1107,  1129,  1140,  1141,  1145,  1150,  1158,  1164,  1174,  1176,
    1178,  1180,  1185,  1186,  1187,  1188,  1196,  1200,  1201,  1205,
    1206,  1207,  1211,  1212,  1213,  1214,  1215,  1216,  1217,  1218,
    1219,  1220,  1221,  1222,  1223,  1224,  1225,  1226,  1227,  1228,
    1232,  1234,  1236,  1238,  1243,  1244,  1245,  1246,  1247,  1251,
    1255,  1256,  1257,  1261,  1262,  1266,  1267,  1275,  1276,  1280,
    1281,  1285,  1286,  1294,  1295,  1299,  1300
};
#endif


#if (YYDEBUG) || defined YYERROR_VERBOSE

/* YYTNAME[TOKEN_NUM] -- String name of the token TOKEN_NUM. */
static const char *const yytname[] =
{
  "$", "error", "$undefined.", "'='", "ASX", "PAS", "'?'", "':'", "OR", 
  "AND", "EQ", "NE", "LE", "GE", "LT", "GT", "SHL", "SHR", "'+'", "'-'", 
  "'*'", "'/'", "'&'", "'|'", "'^'", "'%'", "UNARY", "INCOP", "'('", 
  "'['", "'.'", "CLASS_NAME", "NAME", "STRING_VAL", "INT_VAL", 
  "FLOAT_VAL", "VECTOR_VAL", "QUATERNION_VAL", "LOCAL", "RETURN", "WHILE", 
  "DO", "IF", "ELSE", "FOR", "BREAK", "CONTINUE", "ELLIPSIS", "NIL", 
  "IFBE", "IFB", "IFAE", "IFA", "SWITCH", "CASE", "DEFAULT", "STRUCT", 
  "UNION", "ENUM", "TYPEDEF", "SUPER", "SELF", "THIS", "ARGC", "ARGV", 
  "EXTERN", "STATIC", "SYSTEM", "SIZEOF", "ELE_START", "TYPE", "CLASS", 
  "DEFS", "ENCODE", "END", "IMPLEMENTATION", "INTERFACE", "PRIVATE", 
  "PROTECTED", "PROTOCOL", "PUBLIC", "SELECTOR", "';'", "'{'", "'}'", 
  "')'", "','", "']'", "'#'", "'!'", "'~'", "'@'", "defs", "@1", "def", 
  "@2", "@3", "@4", "@5", "simple_defs", "simple_def", "@6", 
  "storage_class", "struct_defs", "struct_def", "@7", "enum_list", "enum", 
  "type", "non_field_type", "type_name", "function_decl", "param_list", 
  "param", "array_decl", "struct_def_list", "struct_def_item", "def_list", 
  "def_item", "def_name", "opt_initializer", "@8", "var_initializer", 
  "@9", "opt_state_expr", "@10", "@11", "element_list", "element_list1", 
  "element", "@12", "@13", "opt_comma", "begin_function", "end_function", 
  "statement_block", "@14", "statements", "statement", "@15", "@16", 
  "@17", "break_label", "continue_label", "switch_block", "save_inits", 
  "opt_expr", "expr", "arg_list", "const", "string_val", "obj_def", "@18", 
  "identifier_list", "classdecl", "maybe_class", "class_name", 
  "new_class_name", "class_with_super", "new_class_with_super", 
  "category_name", "new_category_name", "protocol_name", "classdef", 
  "@19", "@20", "@21", "@22", "@23", "@24", "@25", "@26", "@27", "@28", 
  "@29", "@30", "@31", "@32", "protocoldef", "@33", "@34", "protocolrefs", 
  "ivar_decl_list", "@35", "ivar_decl_list_2", "visibility_spec", 
  "ivar_decls", "ivar_decl", "@36", "ivars", "ivar_declarator", 
  "methoddef", "@37", "@38", "@39", "@40", "methodprotolist", 
  "methodprotolist2", "methodproto", "methoddecl", "optparmlist", 
  "unaryselector", "keywordselector", "selector", "reserved_word", 
  "keyworddecl", "obj_expr", "obj_messageexpr", "receiver", "messageargs", 
  "keywordarglist", "keywordarg", "selectorarg", "keywordnamelist", 
  "keywordname", "obj_string", 0
};
#endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives. */
static const short yyr1[] =
{
       0,    92,    93,    92,    92,    95,    94,    96,    94,    94,
      97,    94,    98,    94,    94,    94,    94,    99,    99,   101,
     100,   102,   102,   102,   103,   103,   103,   105,   104,   106,
     106,   107,   107,   108,   108,   108,   108,   109,   109,   110,
     110,   111,   111,   111,   111,   112,   112,   113,   114,   114,
     115,   115,   116,   117,   117,   118,   119,   120,   121,   120,
     122,   123,   122,   122,   122,   124,   125,   126,   124,   127,
     127,   128,   128,   130,   131,   129,   129,   132,   132,   133,
     134,   136,   135,   137,   137,   138,   138,   138,   138,   138,
     138,   138,   138,   139,   138,   138,   138,   140,   138,   138,
     141,   138,   138,   138,   142,   143,   144,   145,   146,   146,
     147,   147,   147,   147,   147,   147,   147,   147,   147,   147,
     147,   147,   147,   147,   147,   147,   147,   147,   147,   147,
     147,   147,   147,   147,   147,   147,   147,   147,   147,   147,
     147,   147,   147,   147,   147,   147,   147,   147,   147,   147,
     147,   147,   147,   148,   148,   149,   149,   149,   149,   149,
     149,   150,   150,   151,   151,   151,   152,   151,   151,   153,
     153,   154,   155,   155,   156,   157,   158,   159,   160,   161,
     162,   164,   165,   166,   163,   167,   168,   163,   169,   170,
     171,   163,   172,   173,   163,   174,   175,   163,   176,   163,
     163,   177,   163,   163,   163,   179,   180,   178,   181,   181,
     183,   182,   184,   184,   185,   185,   185,   186,   186,   188,
     187,   189,   189,   190,   192,   193,   191,   191,   194,   195,
     191,   191,   196,   196,   197,   197,   198,   198,   199,   199,
     199,   199,   200,   200,   200,   200,   201,   202,   202,   203,
     203,   203,   204,   204,   204,   204,   204,   204,   204,   204,
     204,   204,   204,   204,   204,   204,   204,   204,   204,   204,
     205,   205,   205,   205,   206,   206,   206,   206,   206,   207,
     208,   208,   208,   209,   209,   210,   210,   211,   211,   212,
     212,   213,   213,   214,   214,   215,   215
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN. */
static const short yyr2[] =
{
       0,     0,     0,     4,     2,     0,     3,     0,     4,     4,
       0,     7,     0,     7,     5,     3,     7,     0,     3,     0,
       3,     1,     1,     1,     0,     3,     4,     0,     3,     1,
       3,     1,     3,     2,     1,     2,     2,     3,     1,     1,
       1,     3,     5,     3,     2,     1,     3,     2,     3,     2,
       3,     1,     1,     3,     1,     2,     1,     0,     0,     2,
       2,     0,     5,     3,     5,     0,     0,     0,     7,     0,
       2,     1,     3,     0,     0,     5,     1,     0,     1,     0,
       0,     0,     4,     0,     2,     1,     1,     3,     2,     2,
       2,     3,     2,     0,     9,     8,     9,     0,     5,     6,
       0,     9,    12,     2,     0,     0,     0,     0,     1,     0,
       3,     3,     5,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     4,     3,     4,     4,     3,     2,     2,     2,     2,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     4,
       4,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     0,     2,     1,     1,
       3,     3,     1,     1,     1,     1,     3,     3,     4,     4,
       1,     0,     0,     0,    11,     0,     0,     7,     0,     0,
       0,    11,     0,     0,     7,     0,     0,     7,     0,     6,
       2,     0,     6,     2,     2,     0,     0,     7,     0,     3,
       0,     2,     3,     1,     1,     1,     1,     0,     3,     0,
       3,     1,     3,     1,     0,     0,     8,     6,     0,     0,
       8,     6,     0,     1,     1,     2,     3,     3,     4,     1,
       5,     2,     0,     2,     2,     4,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       6,     3,     5,     2,     1,     4,     4,     4,     1,     4,
       1,     1,     1,     1,     1,     1,     2,     3,     2,     1,
       1,     1,     2,     2,     1,     2,     3
};

/* YYDEFACT[S] -- default rule to reduce with in state S when YYTABLE
   doesn't specify something else to do.  Zero means the default is an
   error. */
static const short yydefact[] =
{
       1,     2,     0,   168,     0,     0,     0,     0,     4,     0,
     164,   163,   165,   169,     0,   173,   172,   174,   200,   203,
     204,   175,   208,   208,   208,   180,   208,     0,     0,    40,
       0,     0,     0,     0,    21,    22,    23,    39,     0,     0,
       5,    34,    38,     0,     0,   167,   171,     0,     0,     0,
       0,     0,     0,     0,     0,   185,   192,   195,   205,     0,
      33,    10,    12,     0,     0,     0,     3,    17,     7,     0,
       0,     0,    35,    36,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   264,   261,   262,   263,   265,
     266,   267,   268,   269,   250,   249,   224,   239,   242,   246,
     251,   247,   228,   170,     0,   174,   176,   210,   210,     0,
     177,     0,     0,   232,     0,   232,   232,   232,    37,     0,
       0,    31,    77,    29,     0,    15,     0,     0,    56,     6,
      54,    57,     0,    44,     0,     0,    45,   161,   159,   155,
     157,   158,   160,    49,     0,   156,     0,   273,     0,     0,
      65,     0,   241,     0,   248,     0,     0,    65,   178,     0,
     217,     0,   179,   209,   210,     0,     0,   186,   233,   234,
     210,   193,   196,   206,     0,     0,     0,    78,     0,    77,
       9,     0,    19,     8,     0,    55,     0,    43,    47,    41,
       0,    48,   162,     0,     0,     0,     0,   225,   243,   244,
       0,   271,     0,   229,   199,   211,   213,   202,     0,     0,
       0,     0,   235,     0,     0,     0,     0,    24,    24,     0,
       0,     0,     0,     0,     0,   144,   147,   148,   145,   146,
       0,     0,     0,     0,     0,     0,     0,     0,    32,   151,
     143,   274,   278,    30,    14,     0,    18,     0,    53,    65,
      59,     0,    46,     0,   238,   242,     0,     0,    79,     0,
       0,     0,    79,   214,   215,   216,   217,   219,     0,   182,
     236,   237,   187,   189,   194,   197,   207,     0,     0,     0,
     136,   137,   140,   141,     0,   281,   282,   280,     0,     0,
       0,     0,     0,     0,   138,   139,   295,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   142,     0,
       0,     0,     0,     0,    20,     0,    61,     0,    79,    60,
      42,   272,   240,   227,    66,     0,   245,     0,   231,     0,
     212,     0,   218,   232,   232,     0,    11,     0,    27,    13,
     152,     0,   283,     0,   284,   285,     0,    39,     0,     0,
       0,     0,     0,   294,   289,     0,   290,   291,   110,   111,
       0,   114,   113,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   132,
     153,     0,     0,   135,   296,    16,   151,    69,    63,     0,
       0,    81,    80,   270,    80,   223,   220,   221,   183,   190,
       0,    25,     0,   288,     0,   279,     0,   286,   150,   149,
     133,   277,   276,   293,   275,     0,   292,     0,   131,     0,
     134,    73,     0,    77,    71,    76,    80,    67,    83,   226,
     230,     0,     0,     0,    26,    52,    28,    51,   287,   112,
     154,    69,    62,    78,    70,    64,     0,     0,   222,   184,
     191,     0,    74,    72,    68,     0,     0,   104,   104,     0,
     104,     0,     0,   104,     0,     0,    85,    82,    86,    84,
       0,    50,     0,    97,    88,     0,   105,   105,     0,   105,
      89,    90,   106,     0,    92,   103,    75,     0,    87,     0,
       0,     0,     0,     0,    91,     0,     0,     0,   107,   109,
       0,    98,     0,     0,     0,     0,   108,     0,   107,     0,
      99,   109,    93,     0,     0,   100,     0,   107,    95,     0,
       0,   109,     0,    96,   101,     0,    94,   107,     0,   102,
       0,     0
};

static const short yydefgoto[] =
{
       1,     7,    38,    69,   127,   119,   120,   126,   181,   247,
      39,   278,   347,   412,   122,   123,   134,    41,    42,    72,
     135,   136,    73,   446,   447,   129,   130,   131,   185,   186,
     250,   397,   197,   400,   456,   432,   433,   434,   451,   482,
     178,   335,   439,   478,   438,   457,   479,   527,   497,   530,
     486,   499,   503,   514,   515,   480,   391,   239,   145,     8,
       9,    14,    10,    95,    18,    22,    19,    23,    20,    24,
      26,    11,   112,   343,   442,   113,   211,   114,   344,   443,
     115,   214,   116,   215,    50,    51,    12,   117,   216,    55,
     159,   160,   205,   266,   206,   268,   341,   406,   407,    45,
     150,   258,   157,   262,   167,   168,   169,    96,   152,    97,
      98,    99,   100,   101,   240,   241,   288,   353,   354,   355,
     365,   366,   367,   242
};

static const short yypact[] =
{
  -32768,    19,    -4,-32768,    21,    21,    21,   257,-32768,    59,
  -32768,-32768,-32768,-32768,   -38,-32768,-32768,    -3,     6,   -17,
  -32768,    51,    42,    87,    87,-32768,    87,    77,    77,-32768,
      78,    83,    37,   175,-32768,-32768,-32768,-32768,    46,    52,
  -32768,   154,-32768,  1280,  1280,-32768,-32768,    85,    21,    21,
      60,    63,    21,    21,    -4,    86,    96,-32768,-32768,    49,
  -32768,-32768,-32768,   158,   113,   169,-32768,-32768,-32768,   172,
      11,    90,-32768,-32768,    35,    77,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,   170,-32768,   184,   203,
  -32768,-32768,   209,-32768,   129,-32768,-32768,-32768,-32768,   132,
  -32768,    -1,   148,   233,   163,   233,   233,   233,-32768,   250,
     261,   266,   187,-32768,   158,-32768,    29,   172,-32768,   189,
  -32768,   278,   198,-32768,   265,   177,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,   216,   272,    77,-32768,   221,   220,
     280,   150,-32768,   203,-32768,    74,   222,   280,-32768,   223,
  -32768,   227,-32768,-32768,-32768,  1280,  1280,-32768,   233,-32768,
  -32768,-32768,-32768,-32768,   229,   235,  1216,   158,   236,   187,
  -32768,   237,-32768,   189,   172,-32768,   318,-32768,-32768,-32768,
     164,-32768,-32768,   241,  1320,   152,   152,-32768,-32768,   242,
      77,-32768,   152,-32768,-32768,   141,    77,-32768,   245,   248,
     249,   258,-32768,   251,   260,   262,   263,   268,   268,  1216,
    1216,  1216,  1216,  1216,   825,-32768,-32768,-32768,-32768,-32768,
     310,   326,   327,   328,   330,  1216,  1216,   329,  1521,-32768,
  -32768,-32768,   273,-32768,-32768,   275,-32768,   172,-32768,   890,
  -32768,   281,-32768,   331,-32768,   184,   283,   282,-32768,   219,
     284,   285,-32768,-32768,-32768,-32768,-32768,-32768,   291,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,   346,    34,   114,
     228,   228,   228,   228,   403,-32768,-32768,  1521,  1360,   955,
    1216,    77,    21,  1400,   228,   228,-32768,  1216,  1216,  1216,
    1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,
    1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,-32768,  1020,
    1216,  1216,   342,   344,   189,   825,-32768,   152,-32768,  1521,
  -32768,-32768,-32768,-32768,-32768,   294,-32768,   348,-32768,   294,
      77,   369,-32768,   233,   233,   376,-32768,   347,-32768,-32768,
  -32768,  1216,   443,   368,  1360,-32768,   955,   326,   325,   457,
     486,   371,   372,-32768,   452,   379,  1400,-32768,  1521,  1521,
    1465,   424,   424,   847,   847,   847,   847,   847,   847,   323,
     323,   271,   271,   228,   228,   228,   228,   228,   228,-32768,
    1521,   182,   375,-32768,-32768,-32768,   282,  1085,-32768,   294,
     172,-32768,-32768,-32768,-32768,-32768,   397,-32768,-32768,-32768,
     406,-32768,   461,   426,  1216,-32768,   443,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,   452,-32768,  1216,-32768,  1216,
  -32768,-32768,   433,   432,-32768,  1521,-32768,-32768,-32768,-32768,
  -32768,   369,   447,   449,-32768,-32768,   464,-32768,   426,  1546,
    1521,  1085,-32768,  1085,-32768,-32768,   460,   685,-32768,-32768,
  -32768,   461,-32768,-32768,-32768,    77,  1151,-32768,-32768,   524,
  -32768,   494,   495,-32768,  1216,   573,-32768,-32768,-32768,-32768,
     634,-32768,   498,-32768,-32768,   663,-32768,-32768,  1216,-32768,
  -32768,-32768,-32768,  1493,-32768,-32768,-32768,   172,-32768,   578,
     759,   516,   581,   583,-32768,    30,  1216,   595,-32768,  1216,
    1216,-32768,   545,   608,   759,   557,  1521,   575,-32768,  1216,
     598,  1216,-32768,   759,   604,-32768,   586,-32768,-32768,   588,
     759,  1216,   294,-32768,-32768,   580,-32768,-32768,   759,-32768,
     694,-32768
};

static const short yypgoto[] =
{
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,   477,-32768,-32768,   572,   520,    -7,-32768,-32768,-32768,
     547,  -175,-32768,-32768,   238,  -126,   517,   300,-32768,-32768,
  -32768,-32768,  -146,-32768,-32768,   254,-32768,   255,-32768,-32768,
    -173,  -240,  -381,  -323,-32768,-32768,  -469,-32768,-32768,-32768,
    -359,  -453,-32768,  -494,  -491,  -149,  -322,   -66,-32768,-32768,
  -32768,   648,-32768,    -2,    84,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   253,
     -73,-32768,-32768,-32768,   440,-32768,-32768,-32768,   269,-32768,
  -32768,-32768,-32768,-32768,  -108,-32768,   541,   -34,   456,   521,
     534,   -80,-32768,   -81,-32768,-32768,-32768,-32768,-32768,   378,
  -32768,-32768,   370,-32768
};


#define	YYLAST		1576


static const short yytable[] =
{
      40,   183,    17,    21,    25,   144,   245,   171,   172,   173,
     102,   203,   402,    49,   163,   252,   404,   154,   153,   540,
      59,    60,   339,   440,   523,    48,    65,   238,    13,   413,
     526,   507,    68,   532,   500,   161,   502,  -166,  -166,    27,
     535,    28,    29,   538,    46,   520,   104,   105,    47,    53,
     109,   105,    15,    16,   528,   455,    54,    27,   132,    28,
      29,   534,    27,   146,    28,    29,  -201,   147,   148,   539,
     280,   281,   282,   283,   284,   287,   436,    43,    44,    52,
      27,    37,    28,    29,   252,    47,   294,   295,   399,  -198,
       2,   208,   448,     3,     4,     5,   133,   213,     6,    37,
     329,    54,   200,   328,    37,    27,   201,    28,    29,   487,
      61,   489,   511,   180,   492,    62,   184,   103,   346,   182,
      63,   324,    37,   137,   138,   139,   140,   141,    66,   256,
     257,   209,   210,   106,   118,    67,   261,   110,   142,   193,
     359,   360,    27,   107,    28,    29,   108,    37,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,  -181,
     390,   392,   393,   149,   154,   153,   287,   143,    27,  -188,
      28,    29,    70,    71,    37,   137,   138,   139,   140,   141,
     121,    74,    27,   260,    28,    29,   124,   198,   349,   267,
     142,   125,   390,    27,   128,    28,    29,   284,   352,   536,
     155,   251,   156,   364,   158,    15,    16,   162,   263,   264,
      37,   265,    76,    77,    78,    79,    80,    81,    82,    83,
      84,   164,    85,    64,    37,   408,   409,    86,    87,    88,
      89,    90,    91,    92,    93,    37,   170,    27,   435,    28,
      29,   165,   166,   174,    94,   318,   319,   320,   321,   396,
     454,   398,   189,   190,   175,   390,   336,   428,   429,   176,
     151,   348,   348,   177,   416,   184,    56,    57,   449,    58,
     450,   -58,   358,   187,   361,    27,   425,    28,    29,    37,
     362,   312,   313,   314,   315,   316,   317,   188,   318,   319,
     320,   321,   435,   191,   435,   192,   194,   204,   195,   196,
     202,   207,   217,    30,    31,    32,    33,   485,   218,   246,
     244,   249,    34,    35,    36,   493,   253,    37,   259,   269,
     270,   271,   272,   267,   274,   273,   275,   276,   289,   501,
     277,   310,   311,   312,   313,   314,   315,   316,   317,    59,
     318,   319,   320,   321,   290,   291,   292,   512,   293,   323,
     516,   517,   296,   331,   322,   333,   330,   338,   334,   337,
     524,   505,   516,   342,   345,   394,   395,   401,   297,   298,
     403,   299,   516,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   405,   318,   319,   320,   321,   297,   298,   410,   299,
     418,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   411,
     318,   319,   320,   321,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     414,   318,   319,   320,   321,   415,   421,   422,   483,   423,
     297,   298,   430,   299,   424,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   441,   318,   319,   320,   321,   350,   297,
     298,   444,   299,   445,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   429,   318,   319,   320,   321,   452,   453,   297,
     298,   459,   299,   460,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   419,   318,   319,   320,   321,   464,   297,   298,
     461,   299,   488,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   420,   318,   319,   320,   321,   490,   491,   297,   298,
     494,   299,   496,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   508,   318,   319,   320,   321,   506,   297,   298,   509,
     299,   510,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     518,   318,   319,   320,   321,   513,   519,   297,   298,   521,
     299,   525,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     522,   318,   319,   320,   321,   537,   297,   298,   531,   299,
     533,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   529,
     318,   319,   320,   321,   541,   279,   179,   243,   199,   481,
     437,   248,   111,   219,   220,   462,   340,   221,   463,   212,
     458,   332,   222,   223,   224,   254,   495,   225,   137,   138,
     139,   140,   141,   465,   466,   467,   468,   469,   255,   470,
     471,   472,   417,   142,     0,     0,   426,     0,   473,   474,
     475,     0,     0,     0,     0,   498,   226,   227,   228,   229,
       0,     0,     0,   230,     0,   231,     0,     0,   232,     0,
       0,     0,     0,     0,   233,     0,   234,   476,   401,   477,
       0,     0,     0,     0,   235,   236,   237,   219,   220,     0,
       0,   221,     0,     0,     0,     0,   222,   223,   224,     0,
       0,   225,   137,   138,   139,   140,   141,   465,   466,   467,
     468,   469,     0,   470,   471,   472,     0,   142,     0,     0,
       0,     0,   473,   474,   475,     0,     0,     0,     0,     0,
     226,   227,   228,   229,     0,     0,     0,   230,     0,   231,
       0,     0,   232,     0,     0,     0,     0,     0,   233,     0,
     234,   476,   401,   219,   220,     0,     0,   221,   235,   236,
     237,     0,   222,   223,   224,     0,   285,   225,   137,   138,
     139,   140,   141,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   142,   318,   319,   320,   321,     0,     0,
       0,     0,     0,     0,     0,   286,   226,   227,   228,   229,
       0,     0,     0,   230,     0,   231,     0,     0,   232,     0,
       0,     0,     0,     0,   233,     0,   234,     0,   219,   220,
       0,     0,   221,     0,   235,   236,   237,   222,   223,   325,
       0,     0,   225,   137,   138,   139,   140,   141,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   142,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   226,   227,   228,   229,     0,     0,     0,   230,   326,
     231,     0,     0,   232,     0,     0,     0,     0,     0,   233,
       0,   234,     0,   219,   220,     0,     0,   221,   327,   235,
     236,   237,   222,   356,   224,    28,    29,   225,   137,   138,
     139,   140,   141,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   142,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   226,   227,   228,   229,
       0,     0,     0,   230,     0,   357,     0,     0,   232,     0,
       0,     0,     0,     0,   233,     0,   234,     0,   219,   220,
       0,     0,   221,     0,   235,   236,   237,   222,   223,   224,
       0,     0,   225,   137,   138,   139,   140,   141,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   142,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   226,   227,   228,   229,     0,     0,     0,   230,     0,
     231,     0,     0,   232,     0,     0,     0,     0,     0,   233,
       0,   234,     0,   219,   220,   389,     0,   221,     0,   235,
     236,   237,   222,   223,   224,     0,     0,   225,   137,   138,
     139,   140,   141,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   142,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   226,   227,   228,   229,
       0,     0,     0,   230,     0,   231,     0,     0,   232,     0,
       0,     0,     0,     0,   233,     0,   234,     0,   431,   219,
     220,     0,     0,   221,   235,   236,   237,     0,   222,   223,
     224,     0,     0,   225,   137,   138,   139,   140,   141,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   142,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   226,   227,   228,   229,     0,     0,     0,   230,
       0,   231,     0,     0,   232,     0,     0,     0,     0,     0,
     233,     0,   234,   484,   219,   220,     0,     0,   221,     0,
     235,   236,   237,   222,   223,   224,     0,     0,   225,   137,
     138,   139,   140,   141,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   142,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   226,   227,   228,
     229,     0,     0,     0,   230,     0,   231,    74,     0,   232,
       0,     0,     0,     0,     0,   233,     0,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,    75,     0,
       0,    15,    16,     0,     0,     0,     0,     0,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    74,    85,     0,
       0,     0,     0,    86,    87,    88,    89,    90,    91,    92,
      93,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      94,    15,    16,     0,     0,     0,     0,     0,    76,    77,
      78,    79,    80,    81,    82,    83,    84,   351,    85,     0,
       0,     0,     0,    86,    87,    88,    89,    90,    91,    92,
      93,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      94,    15,    16,     0,     0,     0,     0,     0,    76,    77,
      78,    79,    80,    81,    82,    83,    84,   363,    85,     0,
       0,     0,     0,    86,    87,    88,    89,    90,    91,    92,
      93,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      94,    15,    16,     0,     0,     0,     0,     0,    76,    77,
      78,    79,    80,    81,    82,    83,    84,     0,    85,     0,
       0,     0,     0,    86,    87,    88,    89,    90,    91,    92,
      93,     0,     0,     0,     0,     0,     0,     0,   297,   298,
      94,   299,   427,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,     0,   318,   319,   320,   321,   297,   298,     0,   299,
     504,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,     0,
     318,   319,   320,   321,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,     0,   318,   319,
     320,   321,   299,     0,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,     0,   318,   319,   320,   321
};

static const short yycheck[] =
{
       7,   127,     4,     5,     6,    71,   179,   115,   116,   117,
      44,   157,   335,     7,    15,   190,   339,    98,    98,     0,
      27,    28,   262,   404,   518,    28,    33,   176,    32,   351,
     521,   500,    39,   527,   487,   108,   489,    18,    19,    28,
     531,    30,    31,   537,    82,   514,    48,    49,    86,     7,
      52,    53,    31,    32,   523,   436,    14,    28,    47,    30,
      31,   530,    28,    28,    30,    31,    83,    32,    75,   538,
     219,   220,   221,   222,   223,   224,   399,    18,    19,    28,
      28,    70,    30,    31,   259,    86,   235,   236,   328,    83,
      71,   164,   414,    74,    75,    76,    85,   170,    79,    70,
     249,    14,    28,   249,    70,    28,    32,    30,    31,   468,
      32,   470,    82,    84,   473,    32,    86,    32,    84,   126,
      83,   247,    70,    33,    34,    35,    36,    37,    82,   195,
     196,   165,   166,    49,    85,    83,   202,    53,    48,   146,
     289,   290,    28,    83,    30,    31,    83,    70,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    83,
     319,   320,   321,     3,   255,   255,   325,    87,    28,    83,
      30,    31,    28,    29,    70,    33,    34,    35,    36,    37,
      32,     7,    28,   200,    30,    31,    83,    47,    84,   206,
      48,    32,   351,    28,    32,    30,    31,   356,   288,   532,
       7,    47,     3,   293,    85,    31,    32,    85,    77,    78,
      70,    80,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    83,    48,    58,    70,   343,   344,    53,    54,    55,
      56,    57,    58,    59,    60,    70,    83,    28,   397,    30,
      31,    18,    19,     3,    70,    27,    28,    29,    30,   325,
     433,   327,    85,    86,     3,   414,    47,    85,    86,     3,
      86,   278,   279,    86,   354,    86,    23,    24,   427,    26,
     429,     3,   289,    85,   291,    28,   366,    30,    31,    70,
     292,    20,    21,    22,    23,    24,    25,    32,    27,    28,
      29,    30,   451,    87,   453,    33,    85,    84,    88,    29,
      88,    84,    83,    56,    57,    58,    59,   466,    83,    82,
      84,     3,    65,    66,    67,   474,    85,    70,    86,    84,
      82,    82,    74,   340,    74,    84,    74,    74,    28,   488,
      72,    18,    19,    20,    21,    22,    23,    24,    25,   356,
      27,    28,    29,    30,    28,    28,    28,   506,    28,    84,
     509,   510,    33,    32,    91,    82,    85,    82,    86,    85,
     519,   497,   521,    82,    28,    33,    32,    83,     3,     4,
      32,     6,   531,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    32,    27,    28,    29,    30,     3,     4,    32,     6,
      85,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    82,
      27,    28,    29,    30,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
       7,    27,    28,    29,    30,    87,    85,    85,   465,     7,
       3,     4,    87,     6,    85,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    86,    27,    28,    29,    30,    85,     3,
       4,    85,     6,    32,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    86,    27,    28,    29,    30,    84,    86,     3,
       4,    74,     6,    74,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    85,    27,    28,    29,    30,    87,     3,     4,
      86,     6,    28,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    85,    27,    28,    29,    30,    82,    82,     3,     4,
       7,     6,    84,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    85,    27,    28,    29,    30,    28,     3,     4,    28,
       6,    28,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      85,    27,    28,    29,    30,    40,    28,     3,     4,    82,
       6,    43,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      85,    27,    28,    29,    30,    85,     3,     4,    82,     6,
      82,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    85,
      27,    28,    29,    30,     0,   218,   124,   177,   151,   461,
     400,   184,    54,    18,    19,   451,   266,    22,   453,   168,
     441,   255,    27,    28,    29,   194,    82,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,   194,    44,
      45,    46,   354,    48,    -1,    -1,   366,    -1,    53,    54,
      55,    -1,    -1,    -1,    -1,    82,    61,    62,    63,    64,
      -1,    -1,    -1,    68,    -1,    70,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      -1,    -1,    -1,    -1,    89,    90,    91,    18,    19,    -1,
      -1,    22,    -1,    -1,    -1,    -1,    27,    28,    29,    -1,
      -1,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    -1,    44,    45,    46,    -1,    48,    -1,    -1,
      -1,    -1,    53,    54,    55,    -1,    -1,    -1,    -1,    -1,
      61,    62,    63,    64,    -1,    -1,    -1,    68,    -1,    70,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    79,    -1,
      81,    82,    83,    18,    19,    -1,    -1,    22,    89,    90,
      91,    -1,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    48,    27,    28,    29,    30,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    -1,    68,    -1,    70,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    79,    -1,    81,    -1,    18,    19,
      -1,    -1,    22,    -1,    89,    90,    91,    27,    28,    29,
      -1,    -1,    32,    33,    34,    35,    36,    37,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    61,    62,    63,    64,    -1,    -1,    -1,    68,    69,
      70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    79,
      -1,    81,    -1,    18,    19,    -1,    -1,    22,    88,    89,
      90,    91,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    48,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    61,    62,    63,    64,
      -1,    -1,    -1,    68,    -1,    70,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    79,    -1,    81,    -1,    18,    19,
      -1,    -1,    22,    -1,    89,    90,    91,    27,    28,    29,
      -1,    -1,    32,    33,    34,    35,    36,    37,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    61,    62,    63,    64,    -1,    -1,    -1,    68,    -1,
      70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    79,
      -1,    81,    -1,    18,    19,    85,    -1,    22,    -1,    89,
      90,    91,    27,    28,    29,    -1,    -1,    32,    33,    34,
      35,    36,    37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    48,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    61,    62,    63,    64,
      -1,    -1,    -1,    68,    -1,    70,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    79,    -1,    81,    -1,    83,    18,
      19,    -1,    -1,    22,    89,    90,    91,    -1,    27,    28,
      29,    -1,    -1,    32,    33,    34,    35,    36,    37,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    48,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    61,    62,    63,    64,    -1,    -1,    -1,    68,
      -1,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      79,    -1,    81,    82,    18,    19,    -1,    -1,    22,    -1,
      89,    90,    91,    27,    28,    29,    -1,    -1,    32,    33,
      34,    35,    36,    37,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    48,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    61,    62,    63,
      64,    -1,    -1,    -1,    68,    -1,    70,     7,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    89,    90,    91,    28,    -1,
      -1,    31,    32,    -1,    -1,    -1,    -1,    -1,    38,    39,
      40,    41,    42,    43,    44,    45,    46,     7,    48,    -1,
      -1,    -1,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      70,    31,    32,    -1,    -1,    -1,    -1,    -1,    38,    39,
      40,    41,    42,    43,    44,    45,    46,     7,    48,    -1,
      -1,    -1,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      70,    31,    32,    -1,    -1,    -1,    -1,    -1,    38,    39,
      40,    41,    42,    43,    44,    45,    46,     7,    48,    -1,
      -1,    -1,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      70,    31,    32,    -1,    -1,    -1,    -1,    -1,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    -1,
      -1,    -1,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
      70,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    30,     3,     4,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    30,     3,     4,    -1,     6,    -1,     8,
       9,    10,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    30,     6,    -1,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    30
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/share/bison/bison.simple"

/* Skeleton output parser for bison,

   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002 Free Software
   Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser when
   the %semantic_parser declaration is not specified in the grammar.
   It was written by Richard Stallman by simplifying the hairy parser
   used when %semantic_parser is specified.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

#if ! defined (yyoverflow) || defined (YYERROR_VERBOSE)

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# if YYSTACK_USE_ALLOCA
#  define YYSTACK_ALLOC alloca
# else
#  ifndef YYSTACK_USE_ALLOCA
#   if defined (alloca) || defined (_ALLOCA_H)
#    define YYSTACK_ALLOC alloca
#   else
#    ifdef __GNUC__
#     define YYSTACK_ALLOC __builtin_alloca
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC malloc
#  define YYSTACK_FREE free
# endif
#endif /* ! defined (yyoverflow) || defined (YYERROR_VERBOSE) */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (YYLTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short yyss;
  YYSTYPE yyvs;
# if YYLSP_NEEDED
  YYLTYPE yyls;
# endif
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAX (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# if YYLSP_NEEDED
#  define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE) + sizeof (YYLTYPE))	\
      + 2 * YYSTACK_GAP_MAX)
# else
#  define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE))				\
      + YYSTACK_GAP_MAX)
# endif

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAX;	\
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif


#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	goto yyacceptlab
#define YYABORT 	goto yyabortlab
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");			\
      YYERROR;							\
    }								\
while (0)

#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Compute the default location (before the actions
   are run).

   When YYLLOC_DEFAULT is run, CURRENT is set the location of the
   first token.  By default, to implement support for ranges, extend
   its range to the last symbol.  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)       	\
   Current.last_line   = Rhs[N].last_line;	\
   Current.last_column = Rhs[N].last_column;
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#if YYPURE
# if YYLSP_NEEDED
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, &yylloc, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval, &yylloc)
#  endif
# else /* !YYLSP_NEEDED */
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval)
#  endif
# endif /* !YYLSP_NEEDED */
#else /* !YYPURE */
# define YYLEX			yylex ()
#endif /* !YYPURE */


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)
/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
#endif /* !YYDEBUG */

/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#if YYMAXDEPTH == 0
# undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

#ifdef YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif
#endif

#line 315 "/usr/share/bison/bison.simple"


/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
#  define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL
# else
#  define YYPARSE_PARAM_ARG YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
# endif
#else /* !YYPARSE_PARAM */
# define YYPARSE_PARAM_ARG
# define YYPARSE_PARAM_DECL
#endif /* !YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
# ifdef YYPARSE_PARAM
int yyparse (void *);
# else
int yyparse (void);
# endif
#endif

/* YY_DECL_VARIABLES -- depending whether we use a pure parser,
   variables are global, or local to YYPARSE.  */

#define YY_DECL_NON_LSP_VARIABLES			\
/* The lookahead symbol.  */				\
int yychar;						\
							\
/* The semantic value of the lookahead symbol. */	\
YYSTYPE yylval;						\
							\
/* Number of parse errors so far.  */			\
int yynerrs;

#if YYLSP_NEEDED
# define YY_DECL_VARIABLES			\
YY_DECL_NON_LSP_VARIABLES			\
						\
/* Location data for the lookahead symbol.  */	\
YYLTYPE yylloc;
#else
# define YY_DECL_VARIABLES			\
YY_DECL_NON_LSP_VARIABLES
#endif


/* If nonreentrant, generate the variables here. */

#if !YYPURE
YY_DECL_VARIABLES
#endif  /* !YYPURE */

int
yyparse (YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  /* If reentrant, generate the variables here. */
#if YYPURE
  YY_DECL_VARIABLES
#endif  /* !YYPURE */

  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Lookahead token as an internal (translated) token number.  */
  int yychar1 = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack. */
  short	yyssa[YYINITDEPTH];
  short *yyss = yyssa;
  register short *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;

#if YYLSP_NEEDED
  /* The location stack.  */
  YYLTYPE yylsa[YYINITDEPTH];
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;
#endif

#if YYLSP_NEEDED
# define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
# define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  YYSIZE_T yystacksize = YYINITDEPTH;


  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
#if YYLSP_NEEDED
  YYLTYPE yyloc;
#endif

  /* When reducing, the number of symbols on the RHS of the reduced
     rule. */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;
#if YYLSP_NEEDED
  yylsp = yyls;
#endif
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short *yyss1 = yyss;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  */
# if YYLSP_NEEDED
	YYLTYPE *yyls1 = yyls;
	/* This used to be a conditional around just the two extra args,
	   but that might be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);
	yyls = yyls1;
# else
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yystacksize);
# endif
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;

      {
	short *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);
# if YYLSP_NEEDED
	YYSTACK_RELOCATE (yyls);
# endif
# undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
#if YYLSP_NEEDED
      yylsp = yyls + yysize - 1;
#endif

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yychar1 = YYTRANSLATE (yychar);

#if YYDEBUG
     /* We have to keep this `#if YYDEBUG', since we use variables
	which are defined only if `YYDEBUG' is set.  */
      if (yydebug)
	{
	  YYFPRINTF (stderr, "Next token is %d (%s",
		     yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise
	     meaning of a token, for further debugging info.  */
# ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
# endif
	  YYFPRINTF (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */
  YYDPRINTF ((stderr, "Shifting token %d (%s), ",
	      yychar, yytname[yychar1]));

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to the semantic value of
     the lookahead token.  This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

#if YYLSP_NEEDED
  /* Similarly for the default location.  Let the user run additional
     commands if for instance locations are ranges.  */
  yyloc = yylsp[1-yylen];
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
#endif

#if YYDEBUG
  /* We have to keep this `#if YYDEBUG', since we use variables which
     are defined only if `YYDEBUG' is set.  */
  if (yydebug)
    {
      int yyi;

      YYFPRINTF (stderr, "Reducing via rule %d (line %d), ",
		 yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (yyi = yyprhs[yyn]; yyrhs[yyi] > 0; yyi++)
	YYFPRINTF (stderr, "%s ", yytname[yyrhs[yyi]]);
      YYFPRINTF (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif

  switch (yyn) {

case 2:
#line 191 "../../../../tools/qfcc/source/qc-parse.y"
{if (current_class) PARSE_ERROR;}
    break;
case 5:
#line 196 "../../../../tools/qfcc/source/qc-parse.y"
{ current_storage = st_global; current_type = yyvsp[0].type; }
    break;
case 7:
#line 197 "../../../../tools/qfcc/source/qc-parse.y"
{ current_type = yyvsp[0].type; }
    break;
case 10:
#line 200 "../../../../tools/qfcc/source/qc-parse.y"
{ struct_type = new_struct (yyvsp[0].string_val); }
    break;
case 12:
#line 202 "../../../../tools/qfcc/source/qc-parse.y"
{ struct_type = new_union (yyvsp[0].string_val); }
    break;
case 14:
#line 204 "../../../../tools/qfcc/source/qc-parse.y"
{ process_enum (yyvsp[-2].expr); }
    break;
case 15:
#line 206 "../../../../tools/qfcc/source/qc-parse.y"
{ new_typedef (yyvsp[0].string_val, yyvsp[-1].type); }
    break;
case 16:
#line 208 "../../../../tools/qfcc/source/qc-parse.y"
{
			process_enum (yyvsp[-3].expr);
			new_typedef (yyvsp[0].string_val, &type_integer);
		}
    break;
case 19:
#line 220 "../../../../tools/qfcc/source/qc-parse.y"
{ current_type = yyvsp[0].type; }
    break;
case 21:
#line 224 "../../../../tools/qfcc/source/qc-parse.y"
{ current_storage = st_extern; }
    break;
case 22:
#line 225 "../../../../tools/qfcc/source/qc-parse.y"
{ current_storage = st_static; }
    break;
case 23:
#line 226 "../../../../tools/qfcc/source/qc-parse.y"
{ current_storage = st_system; }
    break;
case 26:
#line 233 "../../../../tools/qfcc/source/qc-parse.y"
{
			class_t    *class = get_class (yyvsp[-1].string_val, 0);

			if (class) {
				copy_struct_fields (struct_type, class->ivars);
			} else {
				error (0, "undefined symbol `%s'", yyvsp[-1].string_val);
			}
		}
    break;
case 27:
#line 245 "../../../../tools/qfcc/source/qc-parse.y"
{ current_type = yyvsp[0].type; }
    break;
case 30:
#line 251 "../../../../tools/qfcc/source/qc-parse.y"
{
			if (yyvsp[0].expr) {
				yyvsp[0].expr->next = yyvsp[-2].expr;
				yyval.expr = yyvsp[0].expr;
			} else {
				yyval.expr = yyvsp[-2].expr;
			}
		}
    break;
case 31:
#line 262 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = new_name_expr (yyvsp[0].string_val); }
    break;
case 32:
#line 264 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = 0;
			if (yyvsp[0].expr->type < ex_string) {
				error (yyvsp[0].expr, "non-constant initializer");
			} else if (yyvsp[0].expr->type != ex_integer) {
				error (yyvsp[0].expr, "invalid initializer type");
			} else {
				yyval.expr = new_binary_expr ('=', new_name_expr (yyvsp[-2].string_val), yyvsp[0].expr);
			}
		}
    break;
case 33:
#line 277 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.type = field_type (yyvsp[0].type); }
    break;
case 34:
#line 278 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.type = yyvsp[0].type; }
    break;
case 35:
#line 280 "../../../../tools/qfcc/source/qc-parse.y"
{
			current_params = yyvsp[0].param;
			yyval.type = parse_params (yyvsp[-1].type, yyvsp[0].param);
		}
    break;
case 36:
#line 285 "../../../../tools/qfcc/source/qc-parse.y"
{
			if (yyvsp[0].expr)
				yyval.type = array_type (yyvsp[-1].type, yyvsp[0].expr->e.integer_val);
			else
				yyval.type = pointer_type (yyvsp[-1].type);
		}
    break;
case 37:
#line 294 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.type = yyvsp[-1].type; }
    break;
case 38:
#line 295 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.type = yyvsp[0].type; }
    break;
case 39:
#line 299 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.type = yyvsp[0].type; }
    break;
case 40:
#line 301 "../../../../tools/qfcc/source/qc-parse.y"
{
			class_t    *class = get_class (yyvsp[0].string_val, 0);
			if (!class) {
				error (0, "undefined symbol `%s'", yyvsp[0].string_val);
				class = get_class (0, 1);
			}
			yyval.type = class->type;
		}
    break;
case 41:
#line 312 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.param = reverse_params (yyvsp[-1].param); }
    break;
case 42:
#line 314 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.param = new_param (0, 0, 0);
			yyval.param->next = yyvsp[-3].param;
			yyval.param = reverse_params (yyval.param);
		}
    break;
case 43:
#line 319 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.param = new_param (0, 0, 0); }
    break;
case 44:
#line 321 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.param = 0;
		}
    break;
case 46:
#line 329 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyvsp[0].param->next = yyvsp[-2].param;
			yyval.param = yyvsp[0].param;
		}
    break;
case 47:
#line 336 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.param = new_param (0, yyvsp[-1].type, yyvsp[0].string_val); }
    break;
case 48:
#line 341 "../../../../tools/qfcc/source/qc-parse.y"
{
			if (yyvsp[-1].expr->type != ex_integer || yyvsp[-1].expr->e.integer_val < 1) {
				error (0, "invalid array size");
				yyval.expr = 0;
			} else {
				yyval.expr = yyvsp[-1].expr;
			}
		}
    break;
case 49:
#line 349 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = 0; }
    break;
case 52:
#line 358 "../../../../tools/qfcc/source/qc-parse.y"
{ new_struct_field (struct_type, current_type, yyvsp[0].string_val, vis_public); }
    break;
case 55:
#line 368 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.def = yyvsp[-1].def;
			if (yyval.def && !yyval.def->local
				&& yyval.def->type->type != ev_func)
				def_initialized (yyval.def);
		}
    break;
case 56:
#line 378 "../../../../tools/qfcc/source/qc-parse.y"
{
			if (current_scope->type == sc_local
				&& current_scope->parent->type == sc_params) {
				def_t      *def = get_def (0, yyvsp[0].string_val, current_scope, st_none);
				if (def) {
					if (def->scope->type == sc_params)
						warning (0, "local %s shadows param %s", yyvsp[0].string_val, def->name);
				}
			}
			yyval.def = get_def (current_type, yyvsp[0].string_val, current_scope, current_storage);
			current_def = yyval.def;
		}
    break;
case 58:
#line 394 "../../../../tools/qfcc/source/qc-parse.y"
{ element_flag = current_type->type != ev_func; }
    break;
case 59:
#line 395 "../../../../tools/qfcc/source/qc-parse.y"
{ element_flag = 0; }
    break;
case 60:
#line 400 "../../../../tools/qfcc/source/qc-parse.y"
{
			if (current_scope->type == sc_local) {
				append_expr (local_expr,
							 assign_expr (new_def_expr (current_def), yyvsp[0].expr));
				def_initialized (current_def);
			} else {
				if (yyvsp[0].expr->type >= ex_string) {
					if (current_def->type->type == ev_func) {
						PARSE_ERROR;
					} else {
						current_def = ReuseConstant (yyvsp[0].expr,  current_def);
					}
				} else {
					error (yyvsp[0].expr, "non-constant expression used for initializer");
				}
			}
		}
    break;
case 61:
#line 417 "../../../../tools/qfcc/source/qc-parse.y"
{ current_init = new_block_expr (); }
    break;
case 62:
#line 418 "../../../../tools/qfcc/source/qc-parse.y"
{
			init_elements (current_def, yyvsp[-1].expr);
			current_init = 0;
		}
    break;
case 63:
#line 423 "../../../../tools/qfcc/source/qc-parse.y"
{
			build_builtin_function (current_def, yyvsp[0].expr);
		}
    break;
case 64:
#line 427 "../../../../tools/qfcc/source/qc-parse.y"
{
			build_function (yyvsp[-2].function);
			if (yyvsp[-3].expr) {
				yyvsp[-3].expr->next = yyvsp[-1].expr;
				emit_function (yyvsp[-2].function, yyvsp[-3].expr);
			} else {
				emit_function (yyvsp[-2].function, yyvsp[-1].expr);
			}
			finish_function (yyvsp[-2].function);
		}
    break;
case 65:
#line 441 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = 0;
		}
    break;
case 66:
#line 444 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.def = current_def; }
    break;
case 67:
#line 445 "../../../../tools/qfcc/source/qc-parse.y"
{ current_def = yyvsp[-1].def; }
    break;
case 68:
#line 446 "../../../../tools/qfcc/source/qc-parse.y"
{
			if (yyvsp[-5].expr->type == ex_integer)
				convert_int (yyvsp[-5].expr);
			if (yyvsp[-5].expr->type != ex_float)
				error (yyvsp[-5].expr, "invalid type for frame number");
			if (yyvsp[-2].def->type->type != ev_func)
				error (yyvsp[-5].expr, "invalid type for think");

			yyval.expr = new_binary_expr ('s', yyvsp[-5].expr, new_def_expr (yyvsp[-2].def));
		}
    break;
case 69:
#line 460 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = new_block_expr ();
		}
    break;
case 70:
#line 464 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = current_init;
		}
    break;
case 71:
#line 471 "../../../../tools/qfcc/source/qc-parse.y"
{
			append_expr (current_init, yyvsp[0].expr);
		}
    break;
case 72:
#line 475 "../../../../tools/qfcc/source/qc-parse.y"
{
			append_expr (current_init, yyvsp[0].expr);
		}
    break;
case 73:
#line 482 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = current_init;
			current_init = new_block_expr ();
		}
    break;
case 74:
#line 487 "../../../../tools/qfcc/source/qc-parse.y"
{
			current_init = yyvsp[-1].expr;
		}
    break;
case 75:
#line 491 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = yyvsp[-2].expr;
		}
    break;
case 76:
#line 495 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = yyvsp[0].expr;
		}
    break;
case 79:
#line 507 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.function = current_func = new_function (current_def->name);
			yyval.function->def = current_def;
			yyval.function->refs = new_reloc (yyval.function->def->ofs, rel_def_func);
			yyval.function->code = pr.code->size;
			if (options.code.debug) {
				pr_lineno_t *lineno = new_lineno ();
				yyval.function->aux->source_line = yyval.function->def->line;
				yyval.function->aux->line_info = lineno - pr.linenos;
				yyval.function->aux->local_defs = pr.num_locals;

				lineno->fa.func = yyval.function->aux - pr.auxfunctions;
			}
			build_scope (yyval.function, current_def, current_params);
			current_scope = yyval.function->scope;
		}
    break;
case 80:
#line 527 "../../../../tools/qfcc/source/qc-parse.y"
{
			current_scope = current_scope->parent;
		}
    break;
case 81:
#line 534 "../../../../tools/qfcc/source/qc-parse.y"
{
			scope_t    *scope = new_scope (sc_local, current_scope->space,
										   current_scope);
			current_scope = scope;
		}
    break;
case 82:
#line 540 "../../../../tools/qfcc/source/qc-parse.y"
{
			def_t      *defs = current_scope->head;
			int         num_defs = current_scope->num_defs;

			flush_scope (current_scope, 1);

			current_scope = current_scope->parent;
			current_scope->num_defs += num_defs;
			*current_scope->tail = defs;
			while (*current_scope->tail) {
				current_scope->tail = &(*current_scope->tail)->def_next;
			}
			yyval.expr = yyvsp[-1].expr;
		}
    break;
case 83:
#line 558 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = new_block_expr ();
		}
    break;
case 84:
#line 562 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = append_expr (yyvsp[-1].expr, yyvsp[0].expr);
		}
    break;
case 85:
#line 568 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = 0; }
    break;
case 86:
#line 569 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = yyvsp[0].expr; }
    break;
case 87:
#line 571 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = return_expr (current_func, yyvsp[-1].expr);
		}
    break;
case 88:
#line 575 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = return_expr (current_func, 0);
		}
    break;
case 89:
#line 579 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = 0;
			if (break_label)
				yyval.expr = new_unary_expr ('g', break_label);
			else
				error (0, "break outside of loop or switch");
		}
    break;
case 90:
#line 587 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = 0;
			if (continue_label)
				yyval.expr = new_unary_expr ('g', continue_label);
			else
				error (0, "continue outside of loop");
		}
    break;
case 91:
#line 595 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = case_label_expr (switch_block, yyvsp[-1].expr);
		}
    break;
case 92:
#line 599 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = case_label_expr (switch_block, 0);
		}
    break;
case 93:
#line 603 "../../../../tools/qfcc/source/qc-parse.y"
{
			switch_block->test = yyvsp[-1].expr;
		}
    break;
case 94:
#line 607 "../../../../tools/qfcc/source/qc-parse.y"
{
			restore_local_inits (yyvsp[-1].def_list);
			free_local_inits (yyvsp[-1].def_list);
			yyval.expr = switch_expr (switch_block, break_label, yyvsp[0].expr);
			switch_block = yyvsp[-6].switch_block;
			break_label = yyvsp[-7].expr;
		}
    break;
case 95:
#line 615 "../../../../tools/qfcc/source/qc-parse.y"
{
			expr_t *l1 = new_label_expr ();
			expr_t *l2 = break_label;
			expr_t *e;

			restore_local_inits (yyvsp[-1].def_list);
			free_local_inits (yyvsp[-1].def_list);

			yyval.expr = new_block_expr ();

			e = new_binary_expr ('n', test_expr (yyvsp[-3].expr, 1), l2);
			e->line = yyvsp[-3].expr->line;
			e->file = yyvsp[-3].expr->file;
			append_expr (yyval.expr, e);
			append_expr (yyval.expr, l1);
			append_expr (yyval.expr, yyvsp[0].expr);
			append_expr (yyval.expr, continue_label);
			e = new_binary_expr ('i', test_expr (yyvsp[-3].expr, 1), l1);
			e->line = yyvsp[-3].expr->line;
			e->file = yyvsp[-3].expr->file;
			append_expr (yyval.expr, e);
			append_expr (yyval.expr, l2);
			break_label = yyvsp[-6].expr;
			continue_label = yyvsp[-5].expr;
		}
    break;
case 96:
#line 641 "../../../../tools/qfcc/source/qc-parse.y"
{
			expr_t *l1 = new_label_expr ();

			yyval.expr = new_block_expr ();

			append_expr (yyval.expr, l1);
			append_expr (yyval.expr, yyvsp[-5].expr);
			append_expr (yyval.expr, continue_label);
			append_expr (yyval.expr, new_binary_expr ('i', test_expr (yyvsp[-2].expr, 1), l1));
			append_expr (yyval.expr, break_label);
			break_label = yyvsp[-7].expr;
			continue_label = yyvsp[-6].expr;
		}
    break;
case 97:
#line 655 "../../../../tools/qfcc/source/qc-parse.y"
{
			current_storage = st_local;
			current_type = yyvsp[0].type;
			local_expr = new_block_expr ();
		}
    break;
case 98:
#line 661 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = local_expr;
			local_expr = 0;
		}
    break;
case 99:
#line 666 "../../../../tools/qfcc/source/qc-parse.y"
{
			expr_t *l1 = new_label_expr ();
			expr_t *e;

			yyval.expr = new_block_expr ();

			restore_local_inits (yyvsp[-1].def_list);
			free_local_inits (yyvsp[-1].def_list);

			e = new_binary_expr ('n', test_expr (yyvsp[-3].expr, 1), l1);
			e->line = yyvsp[-3].expr->line;
			e->file = yyvsp[-3].expr->file;
			append_expr (yyval.expr, e);
			append_expr (yyval.expr, yyvsp[0].expr);
			append_expr (yyval.expr, l1);
		}
    break;
case 100:
#line 683 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.def_list = save_local_inits (current_scope);
			restore_local_inits (yyvsp[-2].def_list);
		}
    break;
case 101:
#line 688 "../../../../tools/qfcc/source/qc-parse.y"
{
			expr_t     *l1 = new_label_expr ();
			expr_t     *l2 = new_label_expr ();
			expr_t     *e;
			hashtab_t  *merged;
			hashtab_t  *else_ini;

			yyval.expr = new_block_expr ();

			else_ini = save_local_inits (current_scope);

			restore_local_inits (yyvsp[-4].def_list);
			free_local_inits (yyvsp[-4].def_list);

			e = new_binary_expr ('n', test_expr (yyvsp[-6].expr, 1), l1);
			e->line = yyvsp[-6].expr->line;
			e->file = yyvsp[-6].expr->file;
			append_expr (yyval.expr, e);

			append_expr (yyval.expr, yyvsp[-3].expr);

			e = new_unary_expr ('g', l2);
			append_expr (yyval.expr, e);

			append_expr (yyval.expr, l1);
			append_expr (yyval.expr, yyvsp[0].expr);
			append_expr (yyval.expr, l2);
			merged = merge_local_inits (yyvsp[-1].def_list, else_ini);
			restore_local_inits (merged);
			free_local_inits (merged);
			free_local_inits (else_ini);
			free_local_inits (yyvsp[-1].def_list);
		}
    break;
case 102:
#line 723 "../../../../tools/qfcc/source/qc-parse.y"
{
			expr_t *l1 = new_label_expr ();
			expr_t *l2 = break_label;

			restore_local_inits (yyvsp[-1].def_list);
			free_local_inits (yyvsp[-1].def_list);

			yyval.expr = new_block_expr ();

			append_expr (yyval.expr, yyvsp[-7].expr);
			if (yyvsp[-5].expr)
				append_expr (yyval.expr, new_binary_expr ('n', test_expr (yyvsp[-5].expr, 1), l2));
			append_expr (yyval.expr, l1);
			append_expr (yyval.expr, yyvsp[0].expr);
			append_expr (yyval.expr, continue_label);
			append_expr (yyval.expr, yyvsp[-3].expr);
			if (yyvsp[-7].expr)
				append_expr (yyval.expr, new_binary_expr ('i', test_expr (yyvsp[-5].expr, 1), l1));
			append_expr (yyval.expr, l2);
			break_label = yyvsp[-10].expr;
			continue_label = yyvsp[-9].expr;
		}
    break;
case 103:
#line 746 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = yyvsp[-1].expr;
		}
    break;
case 104:
#line 753 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = break_label;
			break_label = new_label_expr ();
		}
    break;
case 105:
#line 761 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = continue_label;
			continue_label = new_label_expr ();
		}
    break;
case 106:
#line 769 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.switch_block = switch_block;
			switch_block = new_switch_block ();
		}
    break;
case 107:
#line 777 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.def_list = save_local_inits (current_scope);
		}
    break;
case 109:
#line 785 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = 0;
		}
    break;
case 110:
#line 791 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = assign_expr (yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 111:
#line 792 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = asx_expr (yyvsp[-1].op, yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 112:
#line 793 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = conditional_expr (yyvsp[-4].expr, yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 113:
#line 794 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr (AND, yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 114:
#line 795 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr (OR,  yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 115:
#line 796 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr (EQ,  yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 116:
#line 797 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr (NE,  yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 117:
#line 798 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr (LE,  yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 118:
#line 799 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr (GE,  yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 119:
#line 800 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr (LT,  yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 120:
#line 801 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr (GT,  yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 121:
#line 802 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr (SHL, yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 122:
#line 803 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr (SHR, yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 123:
#line 804 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr ('+', yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 124:
#line 805 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr ('-', yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 125:
#line 806 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr ('*', yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 126:
#line 807 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr ('/', yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 127:
#line 808 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr ('&', yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 128:
#line 809 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr ('|', yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 129:
#line 810 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr ('^', yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 130:
#line 811 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr ('%', yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 131:
#line 812 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = function_expr (yyvsp[-3].expr, yyvsp[-1].expr); }
    break;
case 132:
#line 813 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = function_expr (yyvsp[-2].expr, 0); }
    break;
case 133:
#line 814 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = cast_expr (yyvsp[-3].type, yyvsp[-1].expr); }
    break;
case 134:
#line 815 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = array_expr (yyvsp[-3].expr, yyvsp[-1].expr); }
    break;
case 135:
#line 816 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = binary_expr ('.', yyvsp[-2].expr, yyvsp[0].expr); }
    break;
case 136:
#line 817 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = yyvsp[0].expr; }
    break;
case 137:
#line 818 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = unary_expr ('-', yyvsp[0].expr); }
    break;
case 138:
#line 819 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = unary_expr ('!', yyvsp[0].expr); }
    break;
case 139:
#line 820 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = unary_expr ('~', yyvsp[0].expr); }
    break;
case 140:
#line 821 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = address_expr (yyvsp[0].expr, 0, 0); }
    break;
case 141:
#line 822 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = incop_expr (yyvsp[-1].op, yyvsp[0].expr, 0); }
    break;
case 142:
#line 823 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = incop_expr (yyvsp[0].op, yyvsp[-1].expr, 1); }
    break;
case 143:
#line 824 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = yyvsp[0].expr; }
    break;
case 144:
#line 825 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = new_name_expr (yyvsp[0].string_val); }
    break;
case 145:
#line 826 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = new_name_expr (".argc"); }
    break;
case 146:
#line 827 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = new_name_expr (".argv"); }
    break;
case 147:
#line 828 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = new_self_expr (); }
    break;
case 148:
#line 829 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = new_this_expr (); }
    break;
case 149:
#line 830 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = sizeof_expr (yyvsp[-1].expr, 0); }
    break;
case 150:
#line 831 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = sizeof_expr (0, yyvsp[-1].type); }
    break;
case 151:
#line 832 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = yyvsp[0].expr; }
    break;
case 152:
#line 833 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = yyvsp[-1].expr; yyval.expr->paren = 1; }
    break;
case 154:
#line 839 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyvsp[0].expr->next = yyvsp[-2].expr;
			yyval.expr = yyvsp[0].expr;
		}
    break;
case 155:
#line 846 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = new_float_expr (yyvsp[0].float_val); }
    break;
case 156:
#line 847 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = yyvsp[0].expr; }
    break;
case 157:
#line 848 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = new_vector_expr (yyvsp[0].vector_val); }
    break;
case 158:
#line 849 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = new_quaternion_expr (yyvsp[0].quaternion_val); }
    break;
case 159:
#line 850 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = new_integer_expr (yyvsp[0].integer_val); }
    break;
case 160:
#line 851 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = new_nil_expr (); }
    break;
case 161:
#line 855 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = new_string_expr (yyvsp[0].string_val); }
    break;
case 162:
#line 857 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = binary_expr ('+', yyvsp[-1].expr, new_string_expr (yyvsp[0].string_val));
		}
    break;
case 166:
#line 866 "../../../../tools/qfcc/source/qc-parse.y"
{ if (!current_class) PARSE_ERROR; }
    break;
case 168:
#line 868 "../../../../tools/qfcc/source/qc-parse.y"
{
			if (!current_class)
				PARSE_ERROR;
			else
				class_finish (current_class);
			current_class = 0;
		}
    break;
case 169:
#line 879 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = new_block_expr ();
			append_expr (yyval.expr, new_name_expr (yyvsp[0].string_val));
		}
    break;
case 170:
#line 884 "../../../../tools/qfcc/source/qc-parse.y"
{
			append_expr (yyvsp[-2].expr, new_name_expr (yyvsp[0].string_val));
			yyval.expr = yyvsp[-2].expr;
		}
    break;
case 171:
#line 892 "../../../../tools/qfcc/source/qc-parse.y"
{
			expr_t     *e;
			for (e = yyvsp[-1].expr->e.block.head; e; e = e->next)
				get_class (e->e.string_val, 1);
		}
    break;
case 174:
#line 906 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.class = get_class (yyvsp[0].string_val, 0);
			if (!yyval.class) {
				error (0, "undefined symbol `%s'", yyvsp[0].string_val);
				yyval.class = get_class (0, 1);
			}
		}
    break;
case 175:
#line 917 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.class = get_class (yyvsp[0].string_val, 1);
			if (yyval.class->defined) {
				error (0, "redefinition of `%s'", yyvsp[0].string_val);
				yyval.class = get_class (0, 1);
			}
			current_class = yyval.class;
		}
    break;
case 176:
#line 929 "../../../../tools/qfcc/source/qc-parse.y"
{
			if (yyvsp[-2].class->super_class != yyvsp[0].class)
				error (0, "%s is not a super class of %s",
					   yyvsp[0].class->class_name, yyvsp[-2].class->class_name);
			yyval.class = yyvsp[-2].class;
		}
    break;
case 177:
#line 939 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyvsp[-2].class->super_class = yyvsp[0].class;
			yyval.class = yyvsp[-2].class;
			current_class = yyval.class;
		}
    break;
case 178:
#line 948 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.class = get_category (yyvsp[-3].string_val, yyvsp[-1].string_val, 0);
			if (!yyval.class) {
				error (0, "undefined category `%s (%s)'", yyvsp[-3].string_val, yyvsp[-1].string_val);
				yyval.class = get_category (0, 0, 1);
			}
		}
    break;
case 179:
#line 959 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.class = get_category (yyvsp[-3].string_val, yyvsp[-1].string_val, 1);
			if (yyval.class->defined) {
				error (0, "redefinition of category `%s (%s)'", yyvsp[-3].string_val, yyvsp[-1].string_val);
				yyval.class = get_category (0, 0, 1);
			}
			current_class = yyval.class;
		}
    break;
case 180:
#line 971 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.protocol = get_protocol (yyvsp[0].string_val, 0);
			if (yyval.protocol) {
				error (0, "redefinition of %s", yyvsp[0].string_val);
				yyval.protocol = get_protocol (0, 1);
			} else {
				yyval.protocol = get_protocol (yyvsp[0].string_val, 1);
			}
		}
    break;
case 181:
#line 984 "../../../../tools/qfcc/source/qc-parse.y"
{ class_add_protocol_methods (yyvsp[-1].class, yyvsp[0].expr);}
    break;
case 182:
#line 985 "../../../../tools/qfcc/source/qc-parse.y"
{ class_add_ivars (yyvsp[-5].class, yyvsp[-1].type); }
    break;
case 183:
#line 986 "../../../../tools/qfcc/source/qc-parse.y"
{ class_add_methods (yyvsp[-7].class, yyvsp[0].methodlist); }
    break;
case 184:
#line 987 "../../../../tools/qfcc/source/qc-parse.y"
{ current_class = 0; }
    break;
case 185:
#line 989 "../../../../tools/qfcc/source/qc-parse.y"
{ class_add_protocol_methods (yyvsp[-1].class, yyvsp[0].expr);}
    break;
case 186:
#line 990 "../../../../tools/qfcc/source/qc-parse.y"
{ class_add_methods (yyvsp[-3].class, yyvsp[0].methodlist); }
    break;
case 187:
#line 991 "../../../../tools/qfcc/source/qc-parse.y"
{ current_class = 0; }
    break;
case 188:
#line 993 "../../../../tools/qfcc/source/qc-parse.y"
{ class_add_protocol_methods (yyvsp[-1].class, yyvsp[0].expr);}
    break;
case 189:
#line 994 "../../../../tools/qfcc/source/qc-parse.y"
{ class_add_ivars (yyvsp[-5].class, yyvsp[-1].type); }
    break;
case 190:
#line 995 "../../../../tools/qfcc/source/qc-parse.y"
{ class_add_methods (yyvsp[-7].class, yyvsp[0].methodlist); }
    break;
case 191:
#line 996 "../../../../tools/qfcc/source/qc-parse.y"
{ current_class = 0; }
    break;
case 192:
#line 998 "../../../../tools/qfcc/source/qc-parse.y"
{ class_add_protocol_methods (yyvsp[-1].class, yyvsp[0].expr);}
    break;
case 193:
#line 999 "../../../../tools/qfcc/source/qc-parse.y"
{ class_add_methods (yyvsp[-3].class, yyvsp[0].methodlist); }
    break;
case 194:
#line 1000 "../../../../tools/qfcc/source/qc-parse.y"
{ current_class = 0; }
    break;
case 195:
#line 1002 "../../../../tools/qfcc/source/qc-parse.y"
{ class_add_protocol_methods (yyvsp[-1].class, yyvsp[0].expr);}
    break;
case 196:
#line 1003 "../../../../tools/qfcc/source/qc-parse.y"
{ class_add_methods (yyvsp[-3].class, yyvsp[0].methodlist); }
    break;
case 197:
#line 1004 "../../../../tools/qfcc/source/qc-parse.y"
{ current_class = 0; }
    break;
case 198:
#line 1005 "../../../../tools/qfcc/source/qc-parse.y"
{ class_begin (yyvsp[0].class); }
    break;
case 199:
#line 1006 "../../../../tools/qfcc/source/qc-parse.y"
{ class_check_ivars (yyvsp[-4].class, yyvsp[-1].type); }
    break;
case 200:
#line 1007 "../../../../tools/qfcc/source/qc-parse.y"
{ class_begin (yyvsp[0].class); }
    break;
case 201:
#line 1008 "../../../../tools/qfcc/source/qc-parse.y"
{ class_begin (yyvsp[0].class); }
    break;
case 202:
#line 1009 "../../../../tools/qfcc/source/qc-parse.y"
{ class_check_ivars (yyvsp[-4].class, yyvsp[-1].type); }
    break;
case 203:
#line 1010 "../../../../tools/qfcc/source/qc-parse.y"
{ class_begin (yyvsp[0].class); }
    break;
case 204:
#line 1011 "../../../../tools/qfcc/source/qc-parse.y"
{ class_begin (yyvsp[0].class); }
    break;
case 205:
#line 1016 "../../../../tools/qfcc/source/qc-parse.y"
{ protocol_add_protocol_methods (yyvsp[-1].protocol, yyvsp[0].expr); }
    break;
case 206:
#line 1017 "../../../../tools/qfcc/source/qc-parse.y"
{ protocol_add_methods (yyvsp[-3].protocol, yyvsp[0].methodlist); }
    break;
case 208:
#line 1022 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = 0; }
    break;
case 209:
#line 1023 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = yyvsp[-1].expr->e.block.head; }
    break;
case 210:
#line 1028 "../../../../tools/qfcc/source/qc-parse.y"
{
			current_visibility = vis_protected;
			current_ivars = new_struct (0);
			if (current_class->super_class)
				new_struct_field (current_ivars,
								  current_class->super_class->ivars, 0,
								  vis_private);
		}
    break;
case 211:
#line 1037 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.type = current_ivars;
			current_ivars = 0;
		}
    break;
case 214:
#line 1049 "../../../../tools/qfcc/source/qc-parse.y"
{ current_visibility = vis_private; }
    break;
case 215:
#line 1050 "../../../../tools/qfcc/source/qc-parse.y"
{ current_visibility = vis_protected; }
    break;
case 216:
#line 1051 "../../../../tools/qfcc/source/qc-parse.y"
{ current_visibility = vis_public; }
    break;
case 219:
#line 1060 "../../../../tools/qfcc/source/qc-parse.y"
{ current_type = yyvsp[0].type; }
    break;
case 223:
#line 1070 "../../../../tools/qfcc/source/qc-parse.y"
{
			new_struct_field (current_ivars, current_type,
							  yyvsp[0].string_val, current_visibility);
		}
    break;
case 224:
#line 1078 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyvsp[0].method->instance = 0;
			yyvsp[0].method = class_find_method (current_class, yyvsp[0].method);
		}
    break;
case 225:
#line 1083 "../../../../tools/qfcc/source/qc-parse.y"
{
			current_def = yyvsp[-2].method->def = method_def (current_class, yyvsp[-2].method);
			current_params = yyvsp[-2].method->params;
		}
    break;
case 226:
#line 1088 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyvsp[-6].method->func = yyvsp[-2].function;
			build_function (yyvsp[-2].function);
			if (yyvsp[-4].expr) {
				yyvsp[-4].expr->next = yyvsp[-1].expr;
				emit_function (yyvsp[-2].function, yyvsp[-4].expr);
			} else {
				emit_function (yyvsp[-2].function, yyvsp[-1].expr);
			}
			finish_function (yyvsp[-2].function);
		}
    break;
case 227:
#line 1100 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyvsp[-4].method->instance = 0;
			yyvsp[-4].method = class_find_method (current_class, yyvsp[-4].method);
			yyvsp[-4].method->def = method_def (current_class, yyvsp[-4].method);

			yyvsp[-4].method->func = build_builtin_function (yyvsp[-4].method->def, yyvsp[-1].expr);
		}
    break;
case 228:
#line 1108 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyvsp[0].method->instance = 1;
			yyvsp[0].method = class_find_method (current_class, yyvsp[0].method);
		}
    break;
case 229:
#line 1113 "../../../../tools/qfcc/source/qc-parse.y"
{
			current_def = yyvsp[-2].method->def = method_def (current_class, yyvsp[-2].method);
			current_params = yyvsp[-2].method->params;
		}
    break;
case 230:
#line 1118 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyvsp[-6].method->func = yyvsp[-2].function;
			build_function (yyvsp[-2].function);
			if (yyvsp[-4].expr) {
				yyvsp[-4].expr->next = yyvsp[-1].expr;
				emit_function (yyvsp[-2].function, yyvsp[-4].expr);
			} else {
				emit_function (yyvsp[-2].function, yyvsp[-1].expr);
			}
			finish_function (yyvsp[-2].function);
		}
    break;
case 231:
#line 1130 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyvsp[-4].method->instance = 1;
			yyvsp[-4].method = class_find_method (current_class, yyvsp[-4].method);
			yyvsp[-4].method->def = method_def (current_class, yyvsp[-4].method);

			yyvsp[-4].method->func = build_builtin_function (yyvsp[-4].method->def, yyvsp[-1].expr);
		}
    break;
case 232:
#line 1140 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.methodlist = 0; }
    break;
case 234:
#line 1146 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.methodlist = new_methodlist ();
			add_method (yyval.methodlist, yyvsp[0].method);
		}
    break;
case 235:
#line 1151 "../../../../tools/qfcc/source/qc-parse.y"
{
			add_method (yyvsp[-1].methodlist, yyvsp[0].method);
			yyval.methodlist = yyvsp[-1].methodlist;
		}
    break;
case 236:
#line 1159 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyvsp[-1].method->instance = 0;
			yyvsp[-1].method->params->type = &type_Class;
			yyval.method = yyvsp[-1].method;
		}
    break;
case 237:
#line 1165 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyvsp[-1].method->instance = 1;
			if (current_class)
				yyvsp[-1].method->params->type = current_class->type;
			yyval.method = yyvsp[-1].method;
		}
    break;
case 238:
#line 1175 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.method = new_method (yyvsp[-2].type, yyvsp[0].param, 0); }
    break;
case 239:
#line 1177 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.method = new_method (&type_id, yyvsp[0].param, 0); }
    break;
case 240:
#line 1179 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.method = new_method (yyvsp[-3].type, yyvsp[-1].param, yyvsp[0].param); }
    break;
case 241:
#line 1181 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.method = new_method (&type_id, yyvsp[-1].param, yyvsp[0].param); }
    break;
case 242:
#line 1185 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.param = 0; }
    break;
case 243:
#line 1186 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.param = new_param (0, 0, 0); }
    break;
case 244:
#line 1187 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.param = yyvsp[0].param; }
    break;
case 245:
#line 1189 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.param = new_param (0, 0, 0);
			yyval.param->next = yyvsp[-2].param;
		}
    break;
case 246:
#line 1196 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.param = new_param (yyvsp[0].string_val, 0, 0); }
    break;
case 248:
#line 1201 "../../../../tools/qfcc/source/qc-parse.y"
{ yyvsp[0].param->next = yyvsp[-1].param; yyval.param = yyvsp[0].param; }
    break;
case 250:
#line 1206 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 252:
#line 1211 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 253:
#line 1212 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 254:
#line 1213 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 255:
#line 1214 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 256:
#line 1215 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 257:
#line 1216 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 258:
#line 1217 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 259:
#line 1218 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 260:
#line 1219 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 261:
#line 1220 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 262:
#line 1221 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 263:
#line 1222 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 264:
#line 1223 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 265:
#line 1224 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 266:
#line 1225 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 267:
#line 1226 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 268:
#line 1227 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 269:
#line 1228 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.string_val = save_string (yytext); }
    break;
case 270:
#line 1233 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.param = new_param (yyvsp[-5].string_val, yyvsp[-2].type, yyvsp[0].string_val); }
    break;
case 271:
#line 1235 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.param = new_param (yyvsp[-2].string_val, &type_id, yyvsp[0].string_val); }
    break;
case 272:
#line 1237 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.param = new_param ("", yyvsp[-2].type, yyvsp[0].string_val); }
    break;
case 273:
#line 1239 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.param = new_param ("", &type_id, yyvsp[0].string_val); }
    break;
case 275:
#line 1244 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = selector_expr (yyvsp[-1].keywordarg); }
    break;
case 276:
#line 1245 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = protocol_expr (yyvsp[-1].string_val); }
    break;
case 277:
#line 1246 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = encode_expr (yyvsp[-1].type); }
    break;
case 279:
#line 1251 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = message_expr (yyvsp[-2].expr, yyvsp[-1].keywordarg); }
    break;
case 281:
#line 1256 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = new_name_expr (yyvsp[0].string_val); }
    break;
case 282:
#line 1257 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = new_name_expr ("super"); }
    break;
case 283:
#line 1261 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.keywordarg = new_keywordarg (yyvsp[0].string_val, 0); }
    break;
case 286:
#line 1268 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyvsp[0].keywordarg->next = yyvsp[-1].keywordarg;
			yyval.keywordarg = yyvsp[0].keywordarg;
		}
    break;
case 287:
#line 1275 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.keywordarg = new_keywordarg (yyvsp[-2].string_val, yyvsp[0].expr); }
    break;
case 288:
#line 1276 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.keywordarg = new_keywordarg ("", yyvsp[0].expr); }
    break;
case 289:
#line 1280 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.keywordarg = new_keywordarg (yyvsp[0].string_val, 0); }
    break;
case 292:
#line 1287 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyvsp[0].keywordarg->next = yyvsp[-1].keywordarg;
			yyval.keywordarg = yyvsp[0].keywordarg;
		}
    break;
case 293:
#line 1294 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.keywordarg = new_keywordarg (yyvsp[-1].string_val, 0); }
    break;
case 294:
#line 1295 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.keywordarg = new_keywordarg ("", 0); }
    break;
case 295:
#line 1299 "../../../../tools/qfcc/source/qc-parse.y"
{ yyval.expr = new_string_expr (yyvsp[0].string_val); }
    break;
case 296:
#line 1301 "../../../../tools/qfcc/source/qc-parse.y"
{
			yyval.expr = binary_expr ('+', yyvsp[-2].expr, new_string_expr (yyvsp[0].string_val));
		}
    break;
}

#line 705 "/usr/share/bison/bison.simple"


  yyvsp -= yylen;
  yyssp -= yylen;
#if YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *yyssp1 = yyss - 1;
      YYFPRINTF (stderr, "state stack now");
      while (yyssp1 != yyssp)
	YYFPRINTF (stderr, " %d", *++yyssp1);
      YYFPRINTF (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;
#if YYLSP_NEEDED
  *++yylsp = yyloc;
#endif

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  char *yymsg;
	  int yyx, yycount;

	  yycount = 0;
	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  for (yyx = yyn < 0 ? -yyn : 0;
	       yyx < (int) (sizeof (yytname) / sizeof (char *)); yyx++)
	    if (yycheck[yyx + yyn] == yyx)
	      yysize += yystrlen (yytname[yyx]) + 15, yycount++;
	  yysize += yystrlen ("parse error, unexpected ") + 1;
	  yysize += yystrlen (yytname[YYTRANSLATE (yychar)]);
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "parse error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[YYTRANSLATE (yychar)]);

	      if (yycount < 5)
		{
		  yycount = 0;
		  for (yyx = yyn < 0 ? -yyn : 0;
		       yyx < (int) (sizeof (yytname) / sizeof (char *));
		       yyx++)
		    if (yycheck[yyx + yyn] == yyx)
		      {
			const char *yyq = ! yycount ? ", expecting " : " or ";
			yyp = yystpcpy (yyp, yyq);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yycount++;
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exhausted");
	}
      else
#endif /* defined (YYERROR_VERBOSE) */
	yyerror ("parse error");
    }
  goto yyerrlab1;


/*--------------------------------------------------.
| yyerrlab1 -- error raised explicitly by an action |
`--------------------------------------------------*/
yyerrlab1:
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;
      YYDPRINTF ((stderr, "Discarding token %d (%s).\n",
		  yychar, yytname[yychar1]));
      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;


/*-------------------------------------------------------------------.
| yyerrdefault -- current state does not do anything special for the |
| error token.                                                       |
`-------------------------------------------------------------------*/
yyerrdefault:
#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */

  /* If its default is to accept any token, ok.  Otherwise pop it.  */
  yyn = yydefact[yystate];
  if (yyn)
    goto yydefault;
#endif


/*---------------------------------------------------------------.
| yyerrpop -- pop the current state because it cannot handle the |
| error token                                                    |
`---------------------------------------------------------------*/
yyerrpop:
  if (yyssp == yyss)
    YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#if YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *yyssp1 = yyss - 1;
      YYFPRINTF (stderr, "Error: state stack now");
      while (yyssp1 != yyssp)
	YYFPRINTF (stderr, " %d", *++yyssp1);
      YYFPRINTF (stderr, "\n");
    }
#endif

/*--------------.
| yyerrhandle.  |
`--------------*/
yyerrhandle:
  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

  YYDPRINTF ((stderr, "Shifting error token, "));

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

/*---------------------------------------------.
| yyoverflowab -- parser overflow comes here.  |
`---------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}
#line 1306 "../../../../tools/qfcc/source/qc-parse.y"


typedef struct def_state_s {
	struct def_state_s *next;
	def_t		*def;
	int			state;
} def_state_t;

static def_state_t *free_def_states;

static const char *
get_key (void *_d, void *unused)
{
	return ((def_state_t *)_d)->def->name;
}

static void
free_key (void *_d, void *unused)
{
	def_state_t *d = (def_state_t *)_d;
	d->next = free_def_states;
	free_def_states = d;
}

static void
scan_scope (hashtab_t *tab, scope_t *scope)
{
	def_t      *def;
	if (scope->type == sc_local)
		scan_scope (tab, scope->parent);
	for (def = scope->head; def; def = def->def_next) {
		if  (def->name && !def->removed) {
			def_state_t *ds;
			ALLOC (1024, def_state_t, def_states, ds);
			ds->def = def;
			ds->state = def->initialized;
			Hash_Add (tab, ds);
		}
	}
}

hashtab_t *
save_local_inits (scope_t *scope)
{
	hashtab_t  *tab = Hash_NewTable (61, get_key, free_key, 0);
	scan_scope (tab, scope);
	return tab;
}

hashtab_t *
merge_local_inits (hashtab_t *dl_1, hashtab_t *dl_2)
{
	hashtab_t  *tab = Hash_NewTable (61, get_key, free_key, 0);
	def_state_t **ds_list = (def_state_t **)Hash_GetList (dl_1);
	def_state_t **ds;
	def_state_t *d;
	def_state_t *nds;

	for (ds = ds_list; *ds; ds++) {
		d = Hash_Find (dl_2, (*ds)->def->name);
		(*ds)->def->initialized = (*ds)->state;

		ALLOC (1024, def_state_t, def_states, nds);
		nds->def = (*ds)->def;
		nds->state = (*ds)->state && d->state;
		Hash_Add (tab, nds);
	}
	free (ds_list);
	return tab;
}

void
restore_local_inits (hashtab_t *def_list)
{
	def_state_t **ds_list = (def_state_t **)Hash_GetList (def_list);
	def_state_t **ds;

	for (ds = ds_list; *ds; ds++)
		(*ds)->def->initialized = (*ds)->state;
	free (ds_list);
}

void
free_local_inits (hashtab_t *def_list)
{
	Hash_DelTable (def_list);
}
